<?php
function count_workdays($date1,$date2){
$firstdate = strtotime($date1); 
$lastdate = strtotime($date2); 
$firstday = date(w,$firstdate); 
$lastday = date(w,$lastdate); 
$totaldays = intval(($lastdate-$firstdate)/86400)+1; 

//check for one week only 
if ($totaldays<=7 && $firstday<=$lastday){ 
     $workdays = $lastday-$firstday+1; 
     //check for weekend 
     if ($firstday==0){ 
             $workdays = $workdays-1; 
            } 
     if ($lastday==6){ 
             $workdays = $workdays-1; 
            } 
      
     }else { //more than one week 

             //workdays of first week 
            if ($firstday==0){ 
                 //so we don't count weekend 
                 $firstweek = 5;  
                 }else { 
                 $firstweek = 6-$firstday; 
                 } 
            $totalfw = 7-$firstday; 

            //workdays of last week 
            if ($lastday==6){ 
                 //so we don't count sat, sun=0 so it won't be counted anyway 
                 $lastweek = 5; 
                 }else { 
                 $lastweek = $lastday; 
                 } 
            $totallw = $lastday+1; 
                  
            //check for any mid-weeks  
            if (($totalfw+$totallw)>=$totaldays){ 
                 $midweeks = 0; 
                 } else { //count midweeks 
                 $midweeks = (($totaldays-$totalfw-$totallw)/7)*5; 
                 } 

            //total num of workdays 
            $workdays = $firstweek+$midweeks+$lastweek; 

        } 

/* 
check for and subtract and holidays etc. here 
... 
*/ 

return ($workdays); 
} //end funtion count_workdays() 

$uploadpass = "../chk/upload/passport";
$uploadsig = "../chk/upload/signature" ;
$uploadsdoc = "../chk/uploads/document" ;
$uploadscert = "../chk/uploads/certificate" ;
$uploadsass = "../chk/uploads/assignment" ;

$GLOBALS['uploadpass'] = $uploadpass ;
$GLOBALS['uploadsig'] = $uploadsig ;
$GLOBALS['uploadsdoc'] = $uploadsdoc ; 
$GLOBALS['uploadscert'] = $uploadscert ;
$GLOBALS['uploadsass'] = $uploadsass ; 
require_once('business logic/classes/session.php');
require_once('business logic/classes/check.php');
require_once('business logic/classes/audit.php');
require_once('business logic/logDb/dbcon.php');
require_once('business logic/classes/users.php');

$user = new User();
$audit = new Audit();
//class definitions
class Per extends Audit{
	
public $db;
		public function __construct(){
			$this->db = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
			if(mysqli_connect_errno()) {
			
				echo "Error: Could not connect to database.";
			        exit;
			}
		}
		
public function sqlinjection($val) {
       return htmlspecialchars(trim(mysqli_real_escape_string($this->db, $val)));
}

public function UpdateUser($arr)  
{
	$username = $this ->sqlinjection($arr['username']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$pname = $arr['username'].".jpg";
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$pname))
	{
		$msg = true;
	}
	$uploaddir1 = $GLOBALS['uploadsig']."/";
	$msg = false;
	$sname = $arr['username'].".jpg";
	if(file_exists($uploaddir1.$sname))
	unlink($uploaddir1.$sname);
	if(move_uploaded_file($_FILES['signature']['tmp_name'], $uploaddir1.$sname))
	{
		$msg = true;
	}
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$tel_no = $this->sqlinjection($arr['tel_no']);
	$usertype = $this->sqlinjection($arr['usertype']);
	$emailaddress = $this->sqlinjection($arr['emailaddress']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$jobtitle = $this->sqlinjection($arr['jobtitle']); 
	$employmentdate = $this->sqlinjection($arr['employmentdate']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$nationality = $this->sqlinjection($arr['nationality']);
	if($usertype == 'Super Admin') {$access = 1 ;}
	if($usertype == 'Admin') {$access = 5 ;}
	if($usertype == 'Head Of Program') {$access = 6 ;}
	$sql = "update staff set username = '$username', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', tel_no = '$tel_no', emailaddress = '$emailaddress', gender = '$gender', d_o_b = '$d_o_b', jobtitle = '$jobtitle', employmentdate = '$employmentdate', signature = '$sname', passport = '$pname', address = '$address', city = '$city', state = '$state', zip = '$zip', nationality = '$nationality', status = NOW(), date = NOW() where username = '$username'";
	$this ->audit_log("User updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or (mysqli_error($this->db));
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', usertype = '$usertype', gender = '$gender', access = '$access' where username = '$username'");
	}
	if($result)
			return "<div class='alert alert-info'> Information Updated Successfully</div>";
		else
			return "<div class='error'>An error occurred, please try again</div>".mysqli_error($this->db);		
}
	 
public function AddStudent($arr)  
{
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$gender = $this->sqlinjection($arr['gender']);
	$studymode = $this->sqlinjection($arr['studymode']);
	$entrysession = $this->sqlinjection($arr['entrysession']);
	$currentsession = $this->sqlinjection($arr['session']);
	$term = $this->sqlinjection($arr['term']);
	$clas = $this->sqlinjection($arr['class']);
	$department = $this->sqlinjection($arr['department']);
	$datea = date("m:d:y");
	$viewprog = "select program from class where class = '$clas'";
	$qryprog = mysqli_query($this->db, $viewprog);
	$getprog = mysqli_fetch_array($qryprog);
	$prog = $getprog['program'];
	$stdate = substr($entrysession,2,2);
	$sprog = strtoupper($prog);
	$stprog = substr($sprog,0,2);
	$stquery = "select admission_no from bckupstudent where entrysession = '$entrysession' and program = '$prog' order by admission_no desc limit 1";
	$stresult = mysqli_query($this->db, $stquery);
	$strow = mysqli_fetch_array($stresult);
	$stro = $strow['admission_no'];
	$st = substr($stro, -6);
	$stcountt = $st+1;
	$stcode_no = str_pad($stcountt, 6, "0", STR_PAD_LEFT);
	$stadmission_no = $stdate.$stprog.$stcode_no;
	if(strtotime($d_o_b) > strtotime($datea)){return "<div class='alert alert-danger'>Input Valid Date of Birth</div>";}
	$rs = mysqli_query($this->db, "select admission_no from student where admission_no = '$stadmission_no'");
	if(mysqli_num_rows($rs) > 0){ return "<div class='alert alert-danger'>Please Re-enter Student Information</div>";}
	$rs2 = mysqli_query($this->db, "select username from user where username = '$stadmission_no'");
	if(mysqli_num_rows($rs2) > 0){return "<div class='alert alert-danger'>The Admission Number Already Exist.</div>";}
	mysqli_query($this->db, "insert into bckupstudent set admission_no = '$stadmission_no', entrysession = '$entrysession', program = '$prog', status = NOW()");
	$sql = "insert into student (`admission_no`, `studymode`, `lastname`, `firstname`, `middlename`, `gender`, `d_o_b`, `term`, program, `class`, `department`, `entrysession`, `currentsession`, `studentstatus`, `statusvalue`, `status`, `date`) VALUES ('$stadmission_no', '$studymode', '$lastname', '$firstname', '$middlename', '$gender', '$d_o_b', '$term', '$prog', '$clas', '$department', '$entrysession', '$currentsession', '1', 'Active Student', NOW(), NOW())";
	$this ->audit_log("new student enrolled with admission_no = ".$stadmission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_error());
	if(mysqli_affected_rows($this->db) == 1)
	{
		$password = hash('sha512', $stadmission_no);
	mysqli_query($this->db, "insert into user set username = '$stadmission_no', firstname = '$firstname', lastname = '$lastname', password = '$password', usertype = 'Student', gender = '$gender', status_value = 'Activated', access = '3'");
	}
	if($result)
	header("location:editstudent?edit=".$stadmission_no);
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of addStudent

public function UploadStuPass($arr)
{
	$admission_no = $this->sqlinjection($arr['admission_no']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$update = true;
	$pname = $arr['admission_no'].".jpg";
	$max_file_size = 1024*200;
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if( $_FILES['passport']['size'] > $max_file_size )
	{
	return "Please Upload image smaller than 200kb";
	}
	else if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$pname))
	{
	mysqli_query($this->db, "update student set passport='$pname' where admission_no = '$admission_no'");
	}
}

public function UpdateStudent($arr)  
{
	$admission_no = $this ->sqlinjection($arr['admission_no']);
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$height = $this->sqlinjection($arr['height']);
	$height1 = $this->sqlinjection($arr['height1']);
	$weight = $this->sqlinjection($arr['weight']);
	$weight1 = $this->sqlinjection($arr['weight1']);
	$c_o_h = $this->sqlinjection($arr['c_o_h']);
	$religion = $this->sqlinjection($arr['religion']);
	$club = $this->sqlinjection($arr['club']);
	$bloodgroup = $this->sqlinjection($arr['bloodgroup']);
	$medcon = $this->sqlinjection($arr['medcon']);
	$hobbies = $this->sqlinjection($arr['hobbies']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$address1 = $this->sqlinjection($arr['address1']);
	$city1 = $this->sqlinjection($arr['city1']);
	$state1 = $this->sqlinjection($arr['state1']); 
	$zip1 = $this->sqlinjection($arr['zip1']);
	$phone = $this->sqlinjection($arr['phone']);
	$emailaddress = $this->sqlinjection($arr['emailaddress']);
	$emergencyname = $this->sqlinjection($arr['emergencyname']); 
	$emerrelation = $this->sqlinjection($arr['emerrelation']);
	$emergencyphone = $this->sqlinjection($arr['emergencyphone']);
	$sql = "update student set admission_no = '$admission_no', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b', p_o_b = '$p_o_b', nationality = '$nationality', height = '$height', height1 = '$height1', weight = '$weight', weight1 = '$weight1', c_o_h = '$c_o_h', religion = '$religion', club = '$club', bloodgroup = '$bloodgroup', medcon = '$medcon', hobbies = '$hobbies', address = '$address', city = '$city', state = '$state', zip = '$zip', address1 = '$address1', city1 = '$city1', state1 = '$state1', zip1 = '$zip1', phone = '$phone', emailaddress = '$emailaddress', emergencyname = '$emergencyname', emerrelation = '$emerrelation', emergencyphone = '$emergencyphone', status = NOW(), date = NOW() where admission_no = '$admission_no'";
	$this ->audit_log("Student Profile Updated with admission_no = ".$admission_no);
	$result = mysqli_query($this->db, $sql) or(mysqli_error($this->db));
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', gender = '$gender' where username = '$admission_no'");
	}
	if($result)
	return "<div class='alert alert-info'> Student Profile Updated Successfully</div>";
	else
	return "<div class='error'>An error occurred, please try again</div>".mysqli_error($this->db);		
}//end of UpdateStudent

public function Activatestudent($stuadd)
	 {
try 
			{
				//update
				$upquery = "update student set statusvalue = 'Active Student', studentstatus = '1' where admission_no = '$stuadd'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	 
public function Graduatestudent($stuadd1)
	 {
try 
			{
				//update
				$upquery = "update student set statusvalue = 'Graduated', studentstatus = '0' where admission_no = '$stuadd1'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function Gonestudent($stuadd2)
	 {
try 
			{
				//update
				$upquery = "update student set statusvalue = 'Gone', studentstatus = '0' where admission_no = '$stuadd2'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function UpdateClassStudent($arr)  
{
	$classid = $this ->sqlinjection($arr['classid']);
	$admission_no = $this ->sqlinjection($arr['admission_no']);
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$sql = "update student set admission_no = '$admission_no', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b' where admission_no = '$admission_no'";
	$this ->audit_log("Student Profile Updated with admission_no = ".$admission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', gender = '$gender' where username = '$admission_no'");
	}
	if($result)
	header('location:viewclassstu?view='.$classid);
	else
	return "<div class='error'>An error occurred, please try again</div>";		
}//end of UpdateStudent

public function AssignStuParent($admission_no,$usern)
	 {
		$upquery = "insert into stuparent set admission_no = '$admission_no', username = '$usern'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		$this ->audit_log("Student or Parent Assigned with admission_no or username = ".$admission_no . $usern);
		if($res)
		header('location:guardiansinfo?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }
	 
public function AssignParentStu($admission_no,$usern)
	 {
		$upquery = "insert into stuparent set admission_no = '$admission_no', username = '$usern'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		$this ->audit_log("Student or Parent Assigned with admission_no or username = ".$admission_no . $usern);
		if($res)
		header('location:parentward?view='.$usern);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }

public function UpdateEnrollment($arr)
{
	$admission_no = $this->sqlinjection($arr['admission_no']);
	$entrysession = $this->sqlinjection($arr['entrysession']);
	$currentsession = $this->sqlinjection($arr['currentsession']);
	$term = $this->sqlinjection($arr['term']);
	$program = $this->sqlinjection($arr['program']);
	$department = $this->sqlinjection($arr['department']);
	$class = $this->sqlinjection($arr['class']);
	$studymode = $this->sqlinjection($arr['studymode']);
	$sql = "update student set entrysession = '$entrysession', currentsession = '$currentsession', term = '$term', program = '$program', department = '$department', class = '$class', studymode = '$studymode' where admission_no = '$admission_no'";
	$this ->audit_log("Student Enrollment Updated with admission_no = ".$admission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
			return "<div class='alert alert-info'> Student Enrollment Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";
}

public function AddTeacher($arr)  
{
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$jobtitle = $this->sqlinjection($arr['jobtitle']);
	$employmentdate = $this->sqlinjection($arr['employmentdate']);
	$specialization = $this->sqlinjection($arr['specialization']);
	$tefn = substr($firstname,0,2);
	$teafn = strtoupper($tefn);
	$teln = substr($lastname,0,2);
	$tealn = strtoupper($teln);
	$tequery = "select id from bckupstudent order by id desc limit 1";
	$teresult = mysqli_query($this->db, $tequery);
	$terow = mysqli_fetch_array($teresult);
	$stro = $terow['id'];
	$te = substr($stro, -5);
	$tecountt = $te+1;
	$tecode_no = str_pad($tecountt, 5, "0", STR_PAD_LEFT);
	$username = $teafn.$tealn.$tecode_no;
	$rs = mysqli_query($this->db, "select username from teacher where username = '$username'");
	if(mysqli_num_rows($rs) > 0) { return "<div class='info'>Please Wait A Little.</div>"; }
	$rs2 = mysqli_query($this->db, "select username from user where username = '$username'");
	if(mysqli_num_rows($rs2) > 0) { return "<div class='info'>Exercise A Little Patient.</div>"; }
	mysqli_query($this->db, "insert into bckupstudent set admission_no = '$username', entrysession = '$employmentdate', program = '$jobtitle', status = NOW()");
	$sql = "insert into teacher (`username`, `firstname`, `middlename`, `lastname`, `gender`, `jobtitle`, `employmentdate`, `specialization`, `status`, `date`) VALUES ('$username', '$firstname', '$middlename', '$lastname', '$gender', '$jobtitle', '$employmentdate', '$specialization', NOW(), NOW())";
	$this ->audit_log("new teacher added with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1){
		$password = hash('sha512',$username);
		mysqli_query($this->db, "insert into user set username = '$username', firstname = '$firstname', lastname = '$lastname',  password = '$password', usertype = 'Teacher', gender = '$gender', status_value = 'Activated', access = '2'");
	header('location:editteacher?edit='.$username);
	}
	else
	return "<div class='error'>An error occurred, please try again</div>";
}//end of addTeacher

public function UpdateTeacher($arr)  
{
	$username = $this ->sqlinjection($arr['username']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$pname = $arr['username'].".jpg";
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$pname))
	{
		$msg = true;
	}
	$uploaddir1 = $GLOBALS['uploadsig']."/";
	$msg = false;
	$sname = $arr['username'].".jpg";
	if(file_exists($uploaddir1.$sname))
	unlink($uploaddir1.$sname);
	if(move_uploaded_file($_FILES['signature']['tmp_name'], $uploaddir1.$sname))
	{
		$msg = true;
	}
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$height = $this->sqlinjection($arr['height']);
	$height1 = $this->sqlinjection($arr['height1']);
	$weight = $this->sqlinjection($arr['weight']);
	$weight1 = $this->sqlinjection($arr['weight1']);
	$c_o_h = $this->sqlinjection($arr['c_o_h']);
	$religion = $this->sqlinjection($arr['religion']);
	$maritalstatus = $this->sqlinjection($arr['maritalstatus']);
	$bloodgroup = $this->sqlinjection($arr['bloodgroup']);
	$medcon = $this->sqlinjection($arr['medcon']);
	$hobbies = $this->sqlinjection($arr['hobbies']);
	$award = $this->sqlinjection($arr['award']);
	$specialization = $this->sqlinjection($arr['specialization']);
	$aboutme = $this->sqlinjection($arr['aboutme']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$address1 = $this->sqlinjection($arr['address1']);
	$city1 = $this->sqlinjection($arr['city1']);
	$state1 = $this->sqlinjection($arr['state1']); 
	$zip1 = $this->sqlinjection($arr['zip1']);
	$phone = $this->sqlinjection($arr['phone']);
	$emailaddress = $this->sqlinjection($arr['emailaddress']);
	$jobtitle = $this->sqlinjection($arr['jobtitle']);
	$employmentdate = $this->sqlinjection($arr['employmentdate']);
	$program = $this->sqlinjection($arr['program']);
	$emergencyname = $this->sqlinjection($arr['emergencyname']); 
	$emerrelation = $this->sqlinjection($arr['emerrelation']);
	$emergencyphone = $this->sqlinjection($arr['emergencyphone']);
	$sql = "update teacher set username = '$username', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b', p_o_b = '$p_o_b', nationality = '$nationality', height = '$height', height1 = '$height1', weight = '$weight', weight1 = '$weight1', c_o_h = '$c_o_h', religion = '$religion', maritalstatus = '$maritalstatus', bloodgroup = '$bloodgroup', medcon = '$medcon', hobbies = '$hobbies', award = '$award', specialization = '$specialization', aboutme = '$aboutme', address = '$address', city = '$city', state = '$state', zip = '$zip', address1 = '$address1', city1 = '$city1', state1 = '$state1', zip1 = '$zip1', phone = '$phone', emailaddress = '$emailaddress', jobtitle = '$jobtitle', employmentdate = '$employmentdate', program = '$program', emergencyname = '$emergencyname', emerrelation = '$emerrelation', emergencyphone = '$emergencyphone', passport = '$pname', signature = '$sname', status = NOW(), date = NOW() where username = '$username'";
	$this ->audit_log("Student Profile Updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or(mysqli_error($this->db));
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', gender = '$gender' where username = '$username'");
	}
	if($result)
			return "<div class='alert alert-info'> Teacher Profile Updated Successfully</div>";
		else
			return "<div class='error'>An error occurred, please try again</div>".mysqli_error($this->db);		
}//end of UpdateStudent

public function AddTeacherqual($arr)  
{
$username = $this ->sqlinjection($arr['username']);
$institution = $this ->sqlinjection($arr['institution']);
$city = $this ->sqlinjection($arr['city']);
$state = $this ->sqlinjection($arr['state']);
$department = $this ->sqlinjection($arr['department']);
$course = $this ->sqlinjection($arr['course']);
$qualification = $this ->sqlinjection($arr['qualification']);
$graduated = $this ->sqlinjection($arr['graduated']);
$datefrom= $this ->sqlinjection($arr['datefrom']);
$dateto = $this ->sqlinjection($arr['dateto']);
$result = $this ->sqlinjection($arr['result']);
$uploaddir1 = $GLOBALS['uploadscert']."/";
$doc = mysqli_real_escape_string($this->db, $_FILES['document']['name']);
$ext = pathinfo($doc);
$e = $ext['extension'];
$document =  $username.'_'.$qualification.'_'.$institution.'.'.$e;
$max_file_size = 1024*600;
if ( $_FILES['document']['size'] > $max_file_size )
{
$msg = "Please upload file smaller than 600kb";
}
elseif (file_exists($uploaddir1.$document))
{ 
return "<div class='alert alert-info'>Qualification Already Exist</div>"; 	
}
elseif (move_uploaded_file($_FILES['document']['tmp_name'], $uploaddir1.$document))
{
$msg = true;	
}
$rs = mysqli_query($this->db, "select * from teacherquali where username = '$username' and institution = '$institution' and qualification = '$qualification'");
if(mysqli_num_rows($rs) > 0)
{ 
return "<div class='alert alert-info'>Qualification Already Exist</div>"; 	
}
else
{
$result = mysqli_query($this->db, "insert into teacherquali (username, institution, city, state, department, course, qualification, graduated, datefrom, dateto, result, document, status) VALUES ('$username', '$institution', '$city', '$state', '$department', '$course', '$qualification', '$graduated', '$datefrom', '$dateto', '$result', '$document', NOW())");
if($result)
header('location:teacherqual?view='.$username);
else
return "erro";
}
}

public function EditTeacherqual($arr)  
{
$id = $this ->sqlinjection($arr['id']);
$username = $this ->sqlinjection($arr['username']);
$institution = $this ->sqlinjection($arr['institution']);
$city = $this ->sqlinjection($arr['city']);
$state = $this ->sqlinjection($arr['state']);
$department = $this ->sqlinjection($arr['department']);
$course = $this ->sqlinjection($arr['course']);
$qualification = $this ->sqlinjection($arr['qualification']);
$graduated = $this ->sqlinjection($arr['graduated']);
$datefrom= $this ->sqlinjection($arr['datefrom']);
$dateto = $this ->sqlinjection($arr['dateto']);
$result = $this ->sqlinjection($arr['result']);
$uploaddir1 = $GLOBALS['uploadscert']."/";
$doc = mysqli_real_escape_string($this->db, $_FILES['document']['name']);
$ext = pathinfo($doc);
$e = $ext['extension'];
$document =  $username.'_'.$qualification.'_'.$institution.'.'.$e;
$max_file_size = 1024*600;
if ( $_FILES['document']['size'] > $max_file_size )
{
$msg = "Please upload file smaller than 600kb";
}
if (file_exists($uploaddir1.$document)) 
unlink($uploaddir1.$document);
if (move_uploaded_file($_FILES['document']['tmp_name'], $uploaddir1.$document))
{
$msg = true;	
}
$result = mysqli_query($this->db, "update teacherquali set username = '$username', institution = '$institution', city = '$city', state = '$state', department = '$department', course = '$course', qualification = '$qualification', graduated = '$graduated', datefrom = '$datefrom', dateto = '$dateto', result = '$result', document = '$document', status = NOW() where id = '$id'");
if($result)
header('location:teacherqual?view='.$username);
else
return "erro";
}

public function AddTeacherjh($arr)  
{
$username = $this ->sqlinjection($arr['username']);
$establishment = $this ->sqlinjection($arr['establishment']);
$email = $this ->sqlinjection($arr['email']);
$phone = $this ->sqlinjection($arr['phone']);
$jobtitle = $this ->sqlinjection($arr['jobtitle']);
$address = $this ->sqlinjection($arr['address']);
$started = $this ->sqlinjection($arr['started']);
$ended = $this ->sqlinjection($arr['ended']);
$rs = mysqli_query($this->db, "select * from teacherjh where username = '$username' and establishment = '$establishment' and jobtitle = '$jobtitle'");
if(mysqli_num_rows($rs) > 0)
{ 
return "<div class='alert alert-info'>Job History Already Exist</div>"; 	
}
else
{
$result = mysqli_query($this->db, "insert into teacherjh (username, establishment, email, phone, jobtitle, address, started, ended, status) VALUES ('$username', '$establishment', '$email', '$phone', '$jobtitle', '$address', '$started', '$ended', NOW())");
if($result)
header('location:teacherjh?view='.$username);
else
return "erro";
}
}

public function EditTeacherjh($arr)  
{
$id = $this ->sqlinjection($arr['id']);
$username = $this ->sqlinjection($arr['username']);
$establishment = $this ->sqlinjection($arr['establishment']);
$email = $this ->sqlinjection($arr['email']);
$phone = $this ->sqlinjection($arr['phone']);
$jobtitle = $this ->sqlinjection($arr['jobtitle']);
$address = $this ->sqlinjection($arr['address']);
$started = $this ->sqlinjection($arr['started']);
$ended = $this ->sqlinjection($arr['ended']);
$result = mysqli_query($this->db, "update teacherjh set username = '$username', establishment = '$establishment', email = '$email', phone = '$phone', jobtitle = '$jobtitle', address = '$address', started = '$started', ended = '$ended', status = NOW() where id = '$id'");
if($result)
header('location:teacherjh?view='.$username);
else
return "erro";
}

Public function AssignCourse($session,$program,$class,$course,$code,$usernam)
{
	$rs = mysqli_query($this->db, "select * from courseteacher where course = '$course' and class = '$class' and teacher = '$usernam' and session = '$session'");
	$no_rows = $rs->num_rows; 
	if($no_rows > 0)
	{
		return "<div class='alert alert-info'>This Course Already Assigned To This Teacher.</div>";
	}
	$rs1 = mysqli_query($this->db, "select * from courseteacher where course = '$course' and class = '$class' and session = '$session'");
	$get_in = mysqli_fetch_array($rs1); $teacher = $get_in['teacher'];
	$tname = mysqli_fetch_array ($tname1 = mysqli_query($this->db, "select firstname, lastname from teacher where username = '$teacher'"));
	$no_rows = $rs1->num_rows; 
	if($no_rows > 0)
	{
		return "<div class='alert alert-info'>This Course Already Assigned To ".$tname['firstname'] .'&nbsp'. $tname['lastname']." This Session, Unassign Course From ".$tname['firstname'] .'&nbsp'. $tname['lastname']."</div>";
	}
		$upquery = "insert into courseteacher set session = '$session', program = '$program', class = '$class', code = '$code', course = '$course', teacher = '$usernam'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		if($res)
		header('location:teachercourse?view='.$usernam);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	
}

Public function AssignClass($session,$program,$class,$usernam)
{
	$rs = mysqli_query($this->db, "select * from classteacher where class = '$class' and teacher = '$usernam' and session = '$session'");
	$no_rows = $rs->num_rows; 
	if($no_rows > 0)
	{
		return "<div class='alert alert-info'>This Class Already Assigned To This Teacher.</div>";
	}
	$rs1 = mysqli_query($this->db, "select * from classteacher where class = '$class' and session = '$session'");
	$get_in = mysqli_fetch_array($rs1); $teacher = $get_in['teacher'];
	$tname = mysqli_fetch_array ($tname1 = mysqli_query($this->db, "select firstname, lastname from teacher where username = '$teacher'"));
	$no_rows = $rs1->num_rows; 
	if($no_rows > 0)
	{
		return "<div class='alert alert-info'>This Class Already Assigned To ".$tname['firstname'] .'&nbsp'. $tname['lastname']." This Session, Unassign Class From ".$tname['firstname'] .'&nbsp'. $tname['lastname']."</div>";
	}
		$upquery = "insert into classteacher set session = '$session', program = '$program', class = '$class', teacher = '$usernam'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		if($res)
		header('location:teacherclass?view='.$usernam);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function AddParent($arr)  
{
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$occupation = $this->sqlinjection($arr['occupation']);
	$marital_status = $this->sqlinjection($arr['marital_status']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$tel_no = $this->sqlinjection($arr['tel_no']);
	$tefn = substr($firstname,0,2);
	$teafn = strtoupper($tefn);
	$teln = substr($lastname,0,2);
	$tealn = strtoupper($teln);
	$tequery = "select id from bckupstudent order by id desc limit 1";
	$teresult = mysqli_query($this->db, $tequery);
	$terow = mysqli_fetch_array($teresult);
	$stro = $terow['id'];
	$te = substr($stro, -5);
	$tecountt = $te+1;
	$tecode_no = str_pad($tecountt, 5, "0", STR_PAD_LEFT);
	$username = $teafn.$tealn.$tecode_no;
	$rs = mysqli_query($this->db, "select username from parent where username = '$username'");
	if(mysqli_num_rows($rs) > 0) { return "<div class='info'>Please Wait A Little.</div>"; }
	$rs2 = mysqli_query($this->db, "select username from user where username = '$username'");
	if(mysqli_num_rows($rs2) > 0) { return "<div class='info'>Exercise A Little Patient.</div>"; }
	mysqli_query($this->db, "insert into bckupstudent set admission_no = '$username', entrysession = '$marital_status', program = '$occupation', status = NOW()");
	$sql = "insert into parent (`username`, `firstname`, `middlename`, `lastname`, `gender`, `occupation`, `marital_status`, `address`, `city`, `state`, `zip`, `tel_no`, `status`, `date`) VALUES ('$username', '$firstname', '$middlename', '$lastname', '$gender', '$occupation', '$marital_status', '$address', '$city', '$state', '$zip', '$tel_no', NOW(), NOW())";
	$this ->audit_log("new parent added with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1){
		$password = hash('sha512',$username);
		mysqli_query($this->db, "insert into user set username = '$username', firstname = '$firstname', lastname = '$lastname',  password = '$password', usertype = 'Parent', gender = '$gender', status_value = 'Activated', access = '4'");
	header('location:editparent?edit='.$username);
	}
	else
	return "<div class='error'>An error occurred, please try again</div>";
}//end of addParent

public function UpdateParent($arr)  
{
	$username = $this ->sqlinjection($arr['username']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$name = $arr['username'].".jpg";
	if(file_exists($uploaddir.$name))
	unlink($uploaddir.$name);
	if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$name))
	{
		$msg = true;
	}
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$tel_no = $this->sqlinjection($arr['tel_no']);
	$email = $this->sqlinjection($arr['email']);
	$gender = $this->sqlinjection($arr['gender']);
	$marital_status = $this->sqlinjection($arr['marital_status']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$lga = $this->sqlinjection($arr['lga']); 
	$occupation = $this->sqlinjection($arr['occupation']);
	$qualification = $this->sqlinjection($arr['qualification']);
	$income = $this ->sqlinjection($arr['income']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$sql = "update parent set username = '$username', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', tel_no = '$tel_no', email = '$email', gender = '$gender', marital_status = '$marital_status', d_o_b = '$d_o_b', p_o_b = '$p_o_b', lga = '$lga', occupation = '$occupation', qualification = '$qualification', income = '$income', passport = '$name', address = '$address', city = '$city', state = '$state', zip = '$zip', nationality = '$nationality', status = NOW(), date = NOW() where username = '$username'";
	$this ->audit_log("Parent updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', gender = '$gender' where username = '$username'");
	}
		if($result)
		return "<div class='alert alert-info'> Parent Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";	
}//end of UpdateParent

Public function PromoteStudent($admission_no, $program, $class, $department) 
{
	$sql = "update student set program = '$program', class = '$class', department = '$department' where admission_no = '$admission_no'";
	$this ->audit_log("Students Promoted with admission no=".$admission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Students Successfully Promoted </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

Public function AddCampus($arr) 
{
	$campus = $this->sqlinjection($arr['campus']);
	$manager = $this->sqlinjection($arr['manager']);
	$phone = $this->sqlinjection($arr['phone']);
	$email = $this->sqlinjection($arr['email']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']);
	$rs = mysqli_query($this->db, "select * from camups where campus = '$campus'");
	if(mysqli_num_rows($rs) > 0)
	{
		return "<div class='alert alert-info'>This Campus Already Exist.</div>";
	}
	$sql = "INSERT INTO campus (`campus`, `manager`, `phone`, `email`, `address`, `city`, `state`) VALUES ('$campus', '$manager', '$phone', '$email', '$address', '$city', '$state')";
	$this ->audit_log("new campus details added with campus =".$campus);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Campus Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}
 
Public function UpdateCampus($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$campus = $this->sqlinjection($arr['campus']);
	$manager = $this->sqlinjection($arr['manager']);
	$phone = $this->sqlinjection($arr['phone']);
	$email = $this->sqlinjection($arr['email']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']);
	$sql = "update campus set campus = '$campus', manager = '$manager', phone = '$phone', email = '$email', address = '$address', city = '$city', state = '$state' where id = $id";
	$this ->audit_log("campus details updated with campus =".$campus);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Campus Successfully Updated &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}
 
Public function AddProgram($arr) 
{
	$coordinator = $this->sqlinjection($arr['coordinator']);
	$code = $this->sqlinjection($arr['code']);
	$program = $this->sqlinjection($arr['program']);
	$description = $this->sqlinjection($arr['description']);
	$rs = mysqli_query($this->db, "select * from program where program = '$program'");
	if(mysqli_num_rows($rs) > 0)
	{
		return "<div class='alert alert-info'>This Program Already Exist.</div>";
	}
	$sql = "INSERT INTO program (`coordinator`, `code`, `program`, `description`) VALUES ('$coordinator', '$code', '$program', '$description')";
	$this ->audit_log("new program details added with program =".$program);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Program Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

Public function UpdateProgram($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$coordinator = $this->sqlinjection($arr['coordinator']);
	$code = $this->sqlinjection($arr['code']);
	$program = $this->sqlinjection($arr['program']);
	$description = $this->sqlinjection($arr['description']);
	$sql = "update program set coordinator = '$coordinator', code = '$code', program = '$program', description = '$description' where id = $id";
	$this ->audit_log("program details updated with program =".$program);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Program Successfully Updated &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function DeleteProgram($program)
{
	try 
			{
				//update
				$upquery = "delete from program where program = '$program'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
					
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
}

Public function AddDepartment($arr) 
{
	$coordinator = $this->sqlinjection($arr['coordinator']);
	$program = $this->sqlinjection($arr['program']);
	$department = $this->sqlinjection($arr['department']);
	$description = $this->sqlinjection($arr['description']);
	$rs = mysqli_query($this->db, "select * from department where program = '$program' and department = '$department'");
	if($rs->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Department Already Exist </div>";
	}
	$sql = "insert into department (`coordinator`, `program`, `department`, `description`, `status`) VALUES ('$coordinator', '$program', '$department', '$description', NOW())";
	$this ->audit_log("New Department details added with department =".$department);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header('location:managedept');
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//End of AddDepartment

Public function UpdateDepartment($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$coordinator = $this->sqlinjection($arr['coordinator']);
	$program = $this->sqlinjection($arr['program']);
	$department = $this->sqlinjection($arr['department']);
	$description = $this->sqlinjection($arr['description']);
	$rs = mysqli_query($this->db, "select * from department where program = '$program' and department = '$department'");
	if($rs->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Department Already Exist </div>";
	}
	$sql = "update department set coordinator = '$coordinator', program = '$program', department = '$department', description = '$description' where id = '$id'";
	$this ->audit_log("Department details added with department =".$department);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header('location:managedept');
	else
	return "<div class='alert alert-danger'> Error &nbsp;&nbsp;&nbsp; </div>";
}//End of UpdateDepartment

public function DeleteDepartment($id)
{
	try 
			{
				//update
				$upquery = "delete from department where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				$this ->audit_log("Department Deleted with department = ".$id);
					
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
}

public function AssignDeptCourse($program, $department, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from deptcourse where program = '$program' and department = '$department' and course = '$course' and code = '$code' and class = '$class'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update deptcourse set program = '$program', department = '$department', course = '$course', code = '$code', class = '$class', type = 'Elective', status = NOW() where program = '$program' and department = '$department' and course = '$course' and code = '$code' and class = '$class'");//or die('na here');
		$this->audit_log("Courses Assigned to Department = ".$department);
		$r = mysqli_error($this->db);
		if($res1)
		return "<div class='alert alert-info'> Courses Assigned &nbsp;&nbsp;&nbsp; </div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into deptcourse set program = '$program', department = '$department', course = '$course', code = '$code', class = '$class', type = 'Elective', status = NOW()") or die(mysqli_error());//or die('na here');
		$this->audit_log("Courses Assigned to Department = ".$department);
		if($res)
		return "<div class='alert alert-info'> Courses Assigned &nbsp;&nbsp;&nbsp; </div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";	
		}	
	 }
	 
public function ApproveCourse($admission_no, $session, $term, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from regcourse where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res1)
		header('location:courses?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW()");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res)
		header('location:courses?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;	
		}
	 }

public function ApproveStuCourse($admission_no, $session, $term, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from regcourse where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res1)
		return "<div class='alert alert-info'>Courses Approved Successfully</div>".$r;
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW()");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res)
		return "<div class='alert alert-info'>Courses Approved Successfully</div>".$r;
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;	
		}
	 }
	 
public function DeleteStuCourse($admission_no, $session, $term, $course, $deleteid)
	 {
		$upquery = "delete from regcourse where id = '$deleteid'";
		$res = mysqli_query($this->db, $upquery) or (mysqli_error());//or die('na here');
		if(mysqli_affected_rows($this->db) == 1)
		{
		mysqli_query($this->db, "delete from result where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
	}
		$this ->audit_log("Student Course Deleted Sucessfully");
		if($res)
		return "<div class='alert alert-info'>Student Course Deleted Sucessfully</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }

public function CourseRegistration($admission_no, $session, $term, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from regcourse where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res1)
		return "<div class='alert alert-info'>Student courses Registered</div>".$r;
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW()");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res)
		return "<div class='alert alert-info'>Student courses Registered</div>".$r;
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;	
		}
	 }
	 
public function AssignDCStat($id)
	 {
		$res = mysqli_query($this->db, "update deptcourse set type = 'Required' where id = '$id'") or die(mysqli_error());//or die('na here');
		$this->audit_log("Courses Type Changed Sucessfully with Course = ".$id);
		if($res)
		return "<div class='alert btn-info btn-xs'> Courses Types Changed Sucessfully</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }
	 
public function AssignDCStats($id1)
	 {
		$res = mysqli_query($this->db, "update deptcourse set type = 'Elective' where id = '$id1'") or die(mysqli_error());//or die('na here');
		$this->audit_log("Courses Type Changed Sucessfully with Course = ".$id1);
		if($res)
		return "<div class='alert btn-info btn-xs'> Courses Types Changed Sucessfully</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }
	 
public function DeleteDC($id2)
	 {
		$res = mysqli_query($this->db, "delete from deptcourse where id = '$id2'") or die(mysqli_error());//or die('na here');
		$this->audit_log("Courses Deleted Sucessfully with Course = ".$id2);
		if($res)
		return "<div class='alert btn-info btn-xs'> Courses Deleted Sucessfully</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }
	 	 
Public function AddCourse($arr) 
{
	$program = $this->sqlinjection($arr['program']);
	$class = $this->sqlinjection($arr['class']);
	$code = $this->sqlinjection($arr['code']);
	$course = $this->sqlinjection($arr['course']);
	$timetaken = $this->sqlinjection($arr['timetaken']);
	$description = $this->sqlinjection($arr['description']);
	$rs = mysqli_query($this->db, "select * from course where course = '$course' and class = '$class'");
	if(mysqli_num_rows($rs) > 0)
	{
		return "<div class='alert alert-info'>This Course Already Exist.</div>";
	}
	$sql = "INSERT INTO course (`program`, `class`, `code`, `course`, `timetaken`, `description`) VALUES ('$program', '$class', '$code', '$course', '$timetaken', '$description')";
	$this ->audit_log("new course details added with course =".$course);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Course Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

Public function UpdateCourse($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$program = $this->sqlinjection($arr['program']);
	$class = $this->sqlinjection($arr['class']);
	$code = $this->sqlinjection($arr['code']);
	$course = $this->sqlinjection($arr['course']);
	$timetaken = $this->sqlinjection($arr['timetaken']);
	$description = $this->sqlinjection($arr['description']);
	$sql = "update course set program = '$program', class = '$class', code = '$code', course = '$course', timetaken = '$timetaken', description = '$description' where id = '$id'";
	$this ->audit_log("course details updated with course =".$course);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Course Successfully Updated &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function DeleteCourse($id)
{
	try 
			{
				//update
				$upquery = "delete from course where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
					
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
}

Public function AddClass($arr) 
{
	$program = $this->sqlinjection($arr['program']);
	$class = $this->sqlinjection($arr['class']);
	$rs = mysqli_query($this->db, "select * from class where program = '$program' and class = '$class'");
	if(mysqli_num_rows($rs) > 0)
	{
		return "<div class='alert alert-info'>This Class Already Exist.</div>";
	}
	$sql = "Insert into class (`program`, `class`, `position`) VALUES ('$program', '$class', '2')";
	$this ->audit_log("new class details added with class =".$class);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Class Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

Public function UpdateClass($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$program = $this->sqlinjection($arr['program']);
	$class = $this->sqlinjection($arr['class']);
	$position = $this->sqlinjection($arr['position']);
	$sql = "update class set program = '$program', class = '$class', position = '$position' where id = '$id'";
	$this ->audit_log("class details updated with class =".$class);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header('location:manageclass');
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

Public function UpdateClass1($arr) 
{
	$id = $this->sqlinjection($arr['id']);
	$program = $this->sqlinjection($arr['program']);
	$class = $this->sqlinjection($arr['class']);
	$position = $this->sqlinjection($arr['position']);
	$sql = "update class set program = '$program', class = '$class', position = '$position' where id = '$id'";
	$this ->audit_log("class details updated with class =".$class);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header('location:manageclasspos');
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function DeleteClass($id1)
	 {
try 
			{
				//update
				$upquery = "delete from class where id = '$id1'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

Public function AddClassInfo($arr) 
{
	$class = $this->sqlinjection($arr['class']);
	$announcement = $this->sqlinjection($arr['announcement']);
	$sql = "update class set announcement = '$announcement' where class = '$class'";
	$this ->audit_log("class announcement updated with class =".$class);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Annoucement Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function DeleteDoc($id1)
	 {
try 
			{
				//update
				$upquery = "delete from document where id = '$id1'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function SaveResult($admission_no, $session, $term, $program, $classs, $teachercomment, $course, $ca1, $ca2, $ca3, $ca4, $ca5, $ca6, $totalca, $exam, $totalexam, $totaltermscore, $termavgscore)  
	{
	$rs = mysqli_query($this->db, "select * from result where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
	if($rs->num_rows > 0)
	{
	$sql = "update result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', status = 'In Progress', teachercomment = '$teachercomment', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore' where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'";
	$this ->audit_log("Result Updated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_errno());
	if($result)
	return "<div class='alert alert-info'>Result Successfully Saved  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		$sql1 = "insert into result set admission_no='$admission_no', session='$session', term='$term', program='$program', class='$classs', status='In Progress', teachercomment='$teachercomment', course='$course', ca1='$ca1', ca2='$ca2', ca3='$ca3', ca4='$ca4', ca5='$ca5', ca6='$ca6', totalca='$totalca', exam='$exam', totalexam='$totalexam', totaltermscore='$totaltermscore', termavgscore='$termavgscore'";
	$this ->audit_log("Result Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	$r = mysqli_error($this->db);
	if($result1)
	return "<div class='alert alert-info'>Result Successfully Saved  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
	}
}//end of SaveResult

public function ValidateResult($admission_no,$session,$term,$program,$classs,$teachercomment,$course,$ca1,$ca2,$ca3,$ca4,$ca5,$ca6,$totalca,$exam,$totalexam,$totaltermscore,$termavgscore)  
			{
$getuser = $_SESSION['username'];
$view_q = "select firstname, lastname from user where username = '$getuser'";
$q1 = mysqli_query($this->db, $view_q); 
$get_n = mysqli_fetch_array($q1);
$getsuser = $get_n['firstname'] . '&nbsp;' . $get_n['lastname']; 
$rs = mysqli_query($this->db, "select * from result where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
	if($rs->num_rows > 0)
	{
		$sql = "update result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', teachercomment = '$teachercomment', subdate = NOW(), status = 'Validated', submittedby = '$getsuser', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore', disable = 'disabled' where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'";
	$this ->audit_log("Result Validated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Result Successfully Validated  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
	else
	{
		$sql1 = "insert into result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', teachercomment = '$teachercomment', subdate = NOW(), status = 'Validated', submittedby = '$getsuser', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore', disable = 'disabled'";
	$this ->audit_log("Result Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Result Successfully Validated &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
}//end of ValidateResult

public function ValidateAttendance($session, $term, $program, $class, $admission_no, $dayspresent, $daysabsent, $holidays, $totaldays, $totaldaypresent)  
	{
$rs = mysqli_query($this->db, "select * from attendance where admission_no = '$admission_no' and session = '$session' and term = '$term'");
	if($rs->num_rows > 0)
	{
		$sql = "update attendance set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$class', dayspresent = '$dayspresent', daysabsent = $daysabsent, holidays = '$holidays', totaldayspresent = '$totaldaypresent', totaldays = '$totaldays', status = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term'";
	$this ->audit_log("Attendance Validated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Attendance Successfully Validated  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
	else
	{
		$sql1 = "insert into attendance set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$class', dayspresent = '$dayspresent', daysabsent = $daysabsent, holidays = '$holidays', totaldayspresent = '$totaldaypresent', totaldays = '$totaldays', status = NOW()";
	$this ->audit_log("Attendance Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Attendance Successfully Validated &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
}//end of ValidateAttendance

public function ValidateSkill($stuadmission_no,$stusession,$stuterm,$stuprogram,$stuclass,$stucategory,$stuskill,$sturate)  
	{
$rs = mysqli_query($this->db, "select * from sturesskill where admission_no = '$stuadmission_no' and session = '$stusession' and term = '$stuterm' and category = '$stucategory' and skill = '$stuskill'");
	if($rs->num_rows > 0)
	{
		$sql = "update sturesskill set admission_no = '$stuadmission_no', session = '$stusession', term = '$stuterm', program = '$stuprogram', class = '$stuclass', category = '$stucategory', skill = '$stuskill', rate = '$sturate', status = NOW() where admission_no = '$stuadmission_no' and session = '$stusession' and term = '$stuterm' and category = '$stucategory' and skill = '$stuskill'";
	$this ->audit_log("Student Skills Updated With admission_no =".$stuadmission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Student Skills Successfully Submitted  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		$sql1 = "insert into sturesskill set admission_no = '$stuadmission_no', session = '$stusession', term = '$stuterm', program = '$stuprogram', class = '$stuclass', category = '$stucategory', skill = '$stuskill', rate = '$sturate', status = NOW()";
	$this ->audit_log("Student Skills Inserted With admission_no =".$stuadmission_no);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Student Skills Successfully Submitted  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of SaveResult

public function PublishResult($admission_no,$session,$term)  
{
$sql = "Update result set status = 'Published' where admission_no = '$admission_no' and session = '$session' and term = '$term'";
$this ->audit_log("Result Published With admission_no =".$admission_no);
$result = mysqli_query($this->db, $sql) or die(mysqli_error());
if($result)
return "<div class='alert alert-info'>Result Successfully Published  &nbsp;&nbsp;&nbsp;</div>";
else
return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of PublishResult

public function RejectResult($admission_no,$session,$term)  
{
$sql = "Update result set status = 'In Progress', disable = '' where admission_no = '$admission_no' and session = '$session' and term = '$term'";
$this ->audit_log("Result Rejected With admission_no =".$admission_no);
$result = mysqli_query($this->db, $sql) or die(mysqli_error());
if($result)
return "<div class='alert alert-info'>Result Successfully Rejected  &nbsp;&nbsp;&nbsp;</div>";
else
return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of RejectResult

public function ResType($arr)  
{
	$program = $this ->sqlinjection($arr['program']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = true;
	$name = $arr['program'].".jpg";
	$max_file_size = 1024*800;
	if(file_exists($uploaddir.$name))
	unlink($uploaddir.$name);
	if( $_FILES['stamp']['size'] > $max_file_size )
	{
	return "Please Upload image smaller than 800kb";
	}
	else if(move_uploaded_file($_FILES['stamp']['tmp_name'], $uploaddir.$name))
	{
		$msg = true;
	}
	$restype = $this->sqlinjection($arr['restype']);
	$signature = $this->sqlinjection($arr['signature']);
	$jobtitle = $this->sqlinjection($arr['jobtitle']);
	$rs = mysqli_query($this->db, "select * from resultsetting where program = '$program'");
	if($rs->num_rows > 0)
	{
		$sql = "Update resultsetting set program = '$program', restype = '$restype', signature = '$signature', jobtitle = '$jobtitle', stamp = '$name' where program = '$program'";
	$this ->audit_log("Result Setting Updated With program =".$program);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:restype");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		$sql1 = "insert into resultsetting set program = '$program', restype = '$restype', signature = '$signature', jobtitle = '$jobtitle', stamp = '$name'";
	$this ->audit_log("Result Setting Added With program =".$program);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	header("location:restype");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of ResType

public function AddGradeSetup($arr)  
{
	$program = $this->sqlinjection($arr['program']);
	$grade = $this->sqlinjection($arr['grade']);
	$score1 = $this->sqlinjection($arr['score1']);
	$score2 = $this->sqlinjection($arr['score2']);
	$remark = $this->sqlinjection($arr['remark']);
	$principalcomment = $this->sqlinjection($arr['principalcomment']);
	$rs2 = mysqli_query($this->db, "select * from gradesetup where program = '$program' and grade = '$grade'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Grade Details Already Exist</div>";
	}
	$sql1 = "insert into gradesetup set program = '$program', grade = '$grade', score1 = '$score1', score2 = '$score2', remark = '$remark', principalcomment = '$principalcomment'";
	$this->audit_log("Grade Added With program =".$program);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	header("location:gradesetup?edit=".$program);
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of AddGradeSetup

public function UpdateGradeSetup($arr)  
{
	$id = $this->sqlinjection($arr['id']);
	$program = $this->sqlinjection($arr['program']);
	$grade = $this->sqlinjection($arr['grade']);
	$score1 = $this->sqlinjection($arr['score1']);
	$score2 = $this->sqlinjection($arr['score2']);
	$remark = $this->sqlinjection($arr['remark']);
	$principalcomment = $this->sqlinjection($arr['principalcomment']);
	$rs2 = mysqli_query($this->db, "select * from gradesetup where program = '$program' and grade = '$grade'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Grade Details Already Exist</div>";
	}
	$sql = "Update gradesetup set program = '$program', grade = '$grade', score1 = '$score1', score2 = '$score2', remark = '$remark', principalcomment = '$principalcomment' where id = '$id'";
	$this ->audit_log("Grade Updated With program =".$program);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:gradesetup?edit=".$program);
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of UpdateGradeSetup

public function AddSkillCat($arr)  
{
	$id = $this->sqlinjection($arr['id']);
	$category = $this->sqlinjection($arr['category']);
	$rs2 = mysqli_query($this->db, "select * from skillcat where category = '$category'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Category Details Already Exist</div>";
	}
	$sql = "insert into skillcat set category = '$category'";
	$this->audit_log("Skill Category Added With category =".$category);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:skillcat");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of AddSkillCat

public function UpdateSkillCat($arr)  
{
	$id = $this->sqlinjection($arr['id']);
	$category = $this->sqlinjection($arr['category']);
	$rs2 = mysqli_query($this->db, "select * from skillcat where category = '$category'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Category Details Already Exist</div>";
	}
	$sql = "update skillcat set category = '$category' where id = '$id'";
	$this ->audit_log("Skill Category Updated With category =".$category);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:skillcat");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of UpdateSkillCat

public function AddSkillSetup($arr)  
{
	$program = $this->sqlinjection($arr['program']);
	$category = $this->sqlinjection($arr['category']);
	$skill = $this->sqlinjection($arr['skill']);
	$rs2 = mysqli_query($this->db, "select * from skillsetup where program = '$program' and category = '$category' and skill = '$skill'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Details Already Exist</div>";
	}
	$sql = "insert into skillsetup set program = '$program', category = '$category', skill = '$skill'";
	$this->audit_log("Skill Added With skill =".$skill);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:skillsetup");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of AddSkillSetup

public function UpdateSkillSetup($arr)  
{
	$id = $this->sqlinjection($arr['id']);
	$program = $this->sqlinjection($arr['program']);
	$category = $this->sqlinjection($arr['category']);
	$skill = $this->sqlinjection($arr['skill']);
	$rs2 = mysqli_query($this->db, "select * from skillsetup where program = '$program' and category = '$category' and skill = '$skill'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Details Already Exist</div>";
	}
	$sql = "Update skillsetup set program = '$program', category = '$category', skill = '$skill' where id = '$id'";
	$this ->audit_log("Skill Updated With skill =".$skill);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:skillsetup");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of UpdateSkillSetup

public function AddRatingSetup($arr)  
{
	$remark = $this->sqlinjection($arr['remark']);
	$rate = $this->sqlinjection($arr['rate']);
	$rs2 = mysqli_query($this->db, "select * from ratingsetup where remark = '$remark' and rate = '$rate'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Rating Details Already Exist</div>";
	}
	$sql = "insert into ratingsetup set remark = '$remark', rate = '$rate'";
	$this->audit_log("Skill Rating Added With rate =".$rate);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:ratingsetup");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of AddRatingSetup

public function UpdateRatingSetup($arr)  
{
	$id = $this->sqlinjection($arr['id']);
	$remark = $this->sqlinjection($arr['remark']);
	$rate = $this->sqlinjection($arr['rate']);
	$rs2 = mysqli_query($this->db, "select * from ratingsetup where remark = '$remark' and rate = '$rate'");
	if($rs2->num_rows > 0)
	{
		return "<div class='alert alert-danger'>Skill Rating Details Already Exist</div>";
	}
	$sql = "Update ratingsetup set remark = '$remark', rate = '$rate' where id = '$id'";
	$this ->audit_log("Skill Rating Updated With rate =".$rate);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	header("location:ratingsetup");
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}//end of UpdateRatingSetup

public function ExamScoreSetup($program, $ttestname, $examname, $examscore, $caname, $cascore, $cascor)  
	{
if($cascor + $examscore > 100) 
{ 
return "<div class='alert alert-danger'>Exam Score And Test Score Should Not Be Above 100%</div>"; 
}
if($cascor + $examscore < 100) 
{ 
return "<div class='alert alert-danger'>Exam Score And Test Score Should Not Be Below 100%</div>"; 
}
$rs = mysqli_query($this->db, "select examscore, SUM(cascore) as cascore from ressetting where program = '$program'");
while($row = mysqli_fetch_array($rs))
	 {
		 $exam = $row['examscore']; $ca = $row['cascore']; $num = $exam + $ca; 
	 }
if($num == 100) 
{ 
	return "<div class='alert alert-danger'>This Program : $program Already Exist</div>"; 
}
else
{
	$sql1 = "insert into ressetting set program = '$program', ttestname = '$ttestname', examname = '$examname', examscore = '$examscore', caname = '$caname', cascore = '$cascore'";
	$this ->audit_log("Exam Scores Added With program =".$program);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	header('location:ressetting');
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}
}

public function ExamScoreUpdate($program, $ttestname, $examname, $examscore, $caname, $cascore, $cascor)  
			{
				if($cascor + $examscore > 100)
				{
					return "<div class='alert alert-danger'>Exam Score And Test Score Should Not Be Above 100%</div>";
				}
				if($cascor + $examscore < 100)
				{
					return "<div class='alert alert-danger'>Exam Score And Test Score Should Not Be Below 100%</div>";
				}
	$rs = mysqli_query($this->db, "select * from ressetting where program = '$program' and caname = '$caname'");
	if($rs->num_rows > 0)
	{
		$sql = "update ressetting set program = '$program', caname = '$caname', cascore = '$cascore', ttestname = '$ttestname', examname = '$examname', examscore = '$examscore' where program = '$program' and caname = '$caname'";
	$this ->audit_log("Exam Scores Updated With program =".$program);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Exam Scores Updated Successfullly  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of SaveResult
 
public function DeleteRessetting($program)
	 {
try 
			{
				//update
				$upquery = "delete from ressetting where program = '$program'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	 
public function DeleteRating($id)
	 {
try 
			{
				//update
				$upquery = "delete from ratingsetup where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function DeleteSkillSetup($id)
	 {
try 
			{
				//update
				$upquery = "delete from skillsetup where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function DeleteSkillCat($id)
	 {
try 
			{
				//update
				$upquery = "delete from skillcat where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	 
public function DeleteGrade($id)
	 {
try 
			{
				//update
				$upquery = "delete from gradesetup where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	  
public function DeleteAssignment($id)
	 {
try 
			{
				//update
				$upquery = "delete from assignment where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function BasicSetting($arr)  
{
	$orgname = $this->sqlinjection($arr['orgname']);
	$orgslogan = $this->sqlinjection($arr['orgslogan']);
	$orgemail = $this->sqlinjection($arr['orgemail']);
	$orgphone = $this->sqlinjection($arr['orgphone']);
	$orgwebsite = $this->sqlinjection($arr['website']);
	$orgaddress = $this->sqlinjection($arr['orgaddress']);
	$rs = mysqli_query($this->db, "select * from setting");
	if($rs->num_rows > 0)
	{
	$sql = "Update setting set orgname = '$orgname', orgslogan = '$orgslogan', orgemail = '$orgemail', orgphone = '$orgphone', orgwebsite = '$orgwebsite', orgaddress = '$orgaddress'";
	$this ->audit_log("Setting Updated With orgname =".$orgname);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Basic Setting Successfully Updated </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
	$sql1 = "insert into setting set orgname = '$orgname', orgslogan = '$orgslogan', orgemail = '$orgemail', orgphone = '$orgphone', orgwebsite = '$orgwebsite', orgaddress = '$orgaddress'";
	$this->audit_log("Setting Added With orgname =".$orgname);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Basic Setting Successfully Added </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of basicsetting

public function UploadLogo($arr)
{
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$pname = "orglogo.jpg";
	$max_file_size = 1024*200;
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if( $_FILES['orglogo']['size'] > $max_file_size )
	{
	return "Please Upload image smaller than 200kb";
	}
	else 
	{
	move_uploaded_file($_FILES['orglogo']['tmp_name'], $uploaddir.$pname);
	}
	$rs = mysqli_query($this->db, "select * from setting");
	if($rs->num_rows > 0)
	{
	$sql = "Update setting set orglogo='$pname'";
	$this ->audit_log("Orglogo Updated");
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "Logo uploaded";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
	$sql1 = "insert into setting set orglogo='$pname'";
	$this->audit_log("Orglogo Added ");
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	return "Logo uploaded";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	}

public function UploadStamp($arr)
{
	$uploaddir1 = $GLOBALS['uploadpass']."/";
	$msg = false;
	$sname = "orgstamp.jpg";
	$max_file_size = 1024*200;
	if(file_exists($uploaddir1.$sname))
	unlink($uploaddir1.$sname);
	if( $_FILES['orgstamp']['size'] > $max_file_size )
	{
	return "Please Upload image smaller than 200kb";
	}
	else 
	{
		move_uploaded_file($_FILES['orgstamp']['tmp_name'], $uploaddir1.$sname);
	}
	$rs = mysqli_query($this->db, "select * from setting");
	if($rs->num_rows > 0)
	{
	$sql = "update setting set orgstamp='$sname'";
	$this ->audit_log("Orgstamp Updated");
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "Stamp uploaded";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
	$sql1 = "insert into setting set orgstamp='$sname'";
	$this->audit_log("Orgstamp Added ");
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	return "Stamp uploaded";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	}

public function AdvanceSetting($arr)  
{
	$session = $this->sqlinjection($arr['session']);
	$sessionstart = $this->sqlinjection($arr['sessionstart']);
	$sessionend = $this->sqlinjection($arr['sessionend']);
	$term = $this->sqlinjection($arr['term']);
	$termstart = $this->sqlinjection($arr['termstart']);
	$termend = $this->sqlinjection($arr['termend']);
	$nexttermstart = $this->sqlinjection($arr['nexttermstart']);
	$coursereg = $this->sqlinjection($arr['coursereg']);
	$receipttype = $this->sqlinjection($arr['receipttype']);
	$rs = mysqli_query($this->db, "select * from setting");
	if($rs->num_rows > 0)
	{
		mysqli_query($this->db, "update student set currentsession = '$session', term = '$term' where statusvalue = 'Active Student'");
		mysqli_query($this->db, "update regcourse set term = '$term' where session = '$session'");
	$sql = "Update setting set session = '$session', sessionstart = '$sessionstart', sessionend = '$sessionend', term = '$term', termstart = '$termstart', termend = '$termend', nexttermstart = '$nexttermstart', coursereg = '$coursereg', receipttype = '$receipttype'";
	$this ->audit_log("Setting Updated With session =".$session);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	$rssessn = mysqli_query($this->db, "select session from session where session = '$session' and term = '$term'");
	if($rssessn->num_rows > 0)
	{
		mysqli_query($this->db, "update session set session = '$session', term = '$term', nexttermstart = '$nexttermstart' where session = '$session' and term = '$term'");
	}
	else
	{
		mysqli_query($this->db, "insert into session set session = '$session', term = '$term', nexttermstart = '$nexttermstart'");
	}
	if($result)
	return "<div class='alert alert-info'>Advance Setting Successfully Updated  </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		mysqli_query($this->db, "update student set currentsession = '$session', term = '$term' where statusvalue = 'Active Student'");
		mysqli_query($this->db, "update regcourse set term = '$term' where session = '$session'");
	$sql1 = "insert into setting set session = '$session', sessionstart = '$sessionstart', sessionend = '$sessionend', term = '$term', termstart = '$termstart', termend = '$termend', nexttermstart = '$nexttermstart', coursereg = '$coursereg', receipttype = '$receipttype'";
	$this->audit_log("Setting Added With session =".$session);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	$rssessn = mysqli_query($this->db, "select session from session where session = '$session' and term = '$term'");
	if($rssessn->num_rows > 0)
	{
		mysqli_query($this->db, "update session set session = '$session', term = '$term', nexttermstart = '$nexttermstart' where session = '$session' and term = '$term'");
	}
	else
	{
		mysqli_query($this->db, "insert into session set session = '$session', term = '$term', nexttermstart = '$nexttermstart'");
	}
	if($result1)
	return "<div class='alert alert-info'>Advance Setting Successfully Added  </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of advancesetting
	

} //end of class
?>