<?php include("upload.php"); ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>School Management System | </title>
    <link rel="icon" type="image/jpg" href="<?php echo $uploadpass; ?>/orglogo.jpg" />

    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.min.css" rel="stylesheet">

    <link href="fonts/css/font-awesome.min.css" rel="stylesheet">
    <link href="css/animate.min.css" rel="stylesheet">

    <!-- Custom styling plus plugins -->
    <link href="css/custom.css" rel="stylesheet">
     <link href="css/datatables/tools/css/dataTables.tableTools.css" rel="stylesheet">
     <link href="css/select/select2.min.css" rel="stylesheet">

    <script src="js/jquery.min.js"></script>

    
    <!--[if lt IE 9]>
        <script src="../assets/js/ie8-responsive-file-warning.js"></script>
        <![endif]-->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
</head>


<body class="nav-md">

    <div class="container body">


        <div class="main_container">

            <div class="col-md-3 left_col">
                <div class="left_col scroll-view">

                    <div class="navbar nav_title" style="border: 0;">
                        <a href="profile" class="site_title"><img height="50" width="50px" src="<?php echo $uploadpass; ?>/orglogo.jpg" class="img-square"><span> School Portal</span></a>
                    </div>
                    <!-- sidebar menu -->
                    <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">

                        <div class="menu_section">
                            <h3>&nbsp;&nbsp;&nbsp;</h3>
                            <br>
                            <ul class="nav side-menu">
                                <li><a href="addstudent"><i class="fa fa-edit"></i> Admission</a>
                                </li>
                                <li><a href="students"><i class="fa fa-edit"></i> Manage Students </a>
                                </li>
                                <li><a href="teachers"><i class="fa fa-desktop"></i> Manage Teachers </a>
                                </li>
                                <li><a href="parents"><i class="fa fa-table"></i> Manage Parents </a> 
                                </li>
                                <li><a><i class="fa fa-bar-chart-o"></i> Manage Academics <span class="fa fa-chevron-down"></span></a>
                                    <ul class="nav child_menu" style="display: none">
                                        <li><a href="managecampus">Manage Campus</a>
                                        </li>
                                        <li><a href="manageprogram">Manage Program</a>
                                        </li>
                                        <li><a href="managedept">Manage Department</a>
                                        </li>
                                        <li><a href="manageclass">Manage Classes</a>
                                        </li>
                                        <li><a href="managecourse">Manage Courses</a>
                                        </li>
                                        <li><a href="managecpage">Manage Class Page</a>
                                        </li>
                                        <li><a href="classroom">Class Room</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a><i class="fa fa-bar-chart-o"></i> Course Registration <span class="fa fa-chevron-down"></span></a>
                                    <ul class="nav child_menu" style="display: none">
                                        <li><a href="coursereg">Register Students Courses</a>
                                        </li>
                                        <li><a href="appcourse">Approve Students Courses</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a href="manageassignt"><i class="fa fa-bar-chart-o"></i> Manage Assignment</a>
                                </li>
                                <li><a><i class="fa fa-bar-chart-o"></i> Manage Result <span class="fa fa-chevron-down"></span></a>
                                    <ul class="nav child_menu" style="display: none">
                                        <li><a href="resultclasslist">Upload Result</a>
                                        </li>
                                        <li><a href="publishresult">Publish Result</a>
                                        </li>
                                        <li><a href="viewresultlist">View Result</a>
                                        </li>
                                        <li><a href="promotestudent">Promote Student</a>
                                        </li>
                                        <li><a href="ressetting">Result Setting</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a href="users"><i class="fa fa-bar-chart-o"></i> Manage Users</a> 
                                </li>
                                <li><a><i class="fa fa-bar-chart-o"></i> Manage Fees <span class="fa fa-chevron-down"></span></a>
                                    <ul class="nav child_menu" style="display: none">
                                        <li><a href="uploadresult">Upload Result</a>
                                        </li>
                                        <li><a href="viewresult">View Result</a>
                                        </li>
                                        <li><a href="publishresult">Publish Result</a>
                                        </li>
                                        <li><a href="publishresult">Promote Student</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a><i class="fa fa-bar-chart-o"></i> Manage Payment <span class="fa fa-chevron-down"></span></a>
                                    <ul class="nav child_menu" style="display: none">
                                        <li><a href="studentsfees">Students Fees</a>
                                        </li>
                                        <li><a href="paymentrecords">Payment Records</a>
                                        </li>
                                        <li><a href="paymentdetails">Payment Details</a>
                                        </li>
                                        <li><a href="paysetting">Basic Setting</a>
                                        </li>
                                   </ul>
                                </li>
                                
                                <li><a href="basicsetting"><i class="fa fa-bar-chart-o"></i> Setting</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <!-- /sidebar menu -->

                    <!-- /menu footer buttons -->
                    <div class="sidebar-footer hidden-small">
                        <a href="basicsetting" data-toggle="tooltip" data-placement="top" title="Settings">
                            <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
                        </a>
                        <a data-toggle="tooltip" data-placement="top" title="FullScreen">
                            <span class="glyphicon glyphicon-fullscreen" aria-hidden="true"></span>
                        </a>
                        <a data-toggle="tooltip" data-placement="top" title="Lock">
                            <span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>
                        </a>
                        <a href="?q=logout" data-toggle="tooltip" data-placement="top" title="Logout">
                            <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
                        </a>
                    </div>
                    <!-- /menu footer buttons -->
                </div>
            </div>

            <!-- top navigation -->
            <div class="top_nav">

                <div class="nav_menu">
                    <nav class="" role="navigation">
                        <div class="nav toggle">
                            <a id="menu_toggle"><i class="fa fa-bars"></i></a>
                        </div>

                        <ul class="nav navbar-nav navbar-right">
                            <li class="">
                                <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                     <img src="<?php echo $uploadpass; ?>/<?php echo $username;?>.jpg" alt="">
									 <?php 
			 //$user->getLink($access);
			  $user->get_fullname();?>
                                    <span class=" fa fa-angle-down"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-usermenu animated fadeInDown pull-right">
                                    <li><a href="profile">  Profile</a>
                                    </li>
                                    <li>
                                        <a href="changepassword">
                                         <span>Change Password</span>
                                        </a>
                                    </li>
                                    <li><a href="?q=logout"><i class="fa fa-sign-out pull-right"></i> Log Out</a>
                                    </li>
                                </ul>
                            </li>

                        </ul>
                    </nav>
                </div>

            </div>
            <!-- /top navigation -->

