<?php
include('../../includes/upload.php');
require_once('business logic/classes/session.php');
require_once('business logic/classes/check.php');
require_once('business logic/classes/audit.php');
require_once('business logic/logDb/dbcon.php');
require_once('business logic/classes/users.php');

$user = new User();
$audit = new Audit();
//class definitions
class Per extends Audit{
	
public $db;
		public function __construct(){
			$this->db = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
			if(mysqli_connect_errno()) {
			
				echo "Error: Could not connect to database.";
			        exit;
			}
		}
		
public function sqlinjection($val) {
       return htmlspecialchars(trim(mysqli_real_escape_string($this->db, $val)));
 }

public function UploadStuPass($arr)
{
	$admission_no = $this->sqlinjection($arr['admission_no']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$update = true;
	$pname = $arr['admission_no'].".jpg";
	$max_file_size = 1024*200;
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if( $_FILES['passport']['size'] > $max_file_size )
	{
	return "Please Upload image smaller than 200kb";
	}
	else if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$pname))
	{
	mysqli_query($this->db, "update student set passport='$pname' where admission_no = '$admission_no'");
	}
	}


public function UpdateStudent($arr)  
{
	$id = $this ->sqlinjection($arr['id']);
	$admission_no = $this ->sqlinjection($arr['admission_no']);
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$height = $this->sqlinjection($arr['height']);
	$height1 = $this->sqlinjection($arr['height1']);
	$weight = $this->sqlinjection($arr['weight']);
	$weight1 = $this->sqlinjection($arr['weight1']);
	$c_o_h = $this->sqlinjection($arr['c_o_h']);
	$religion = $this->sqlinjection($arr['religion']);
	$club = $this->sqlinjection($arr['club']);
	$bloodgroup = $this->sqlinjection($arr['bloodgroup']);
	$medcon = $this->sqlinjection($arr['medcon']);
	$hobbies = $this->sqlinjection($arr['hobbies']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$address1 = $this->sqlinjection($arr['address1']);
	$city1 = $this->sqlinjection($arr['city1']);
	$state1 = $this->sqlinjection($arr['state1']); 
	$zip1 = $this->sqlinjection($arr['zip1']);
	$phone = $this->sqlinjection($arr['phone']);
	$emailaddress = $this->sqlinjection($arr['emailaddress']);
	$emergencyname = $this->sqlinjection($arr['emergencyname']); 
	$emerrelation = $this->sqlinjection($arr['emerrelation']);
	$emergencyphone = $this->sqlinjection($arr['emergencyphone']);
	$passport = $this ->sqlinjection($arr['passport']);
	$sql = "update student set admission_no = '$admission_no', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b', p_o_b = '$p_o_b', nationality = '$nationality', height = '$height', height1 = '$height1', weight = '$weight', weight1 = '$weight1', c_o_h = '$c_o_h', religion = '$religion', club = '$club', bloodgroup = '$bloodgroup', medcon = '$medcon', hobbies = '$hobbies', address = '$address', city = '$city', state = '$state', zip = '$zip', address1 = '$address1', city1 = '$city1', state1 = '$state1', zip1 = '$zip1', phone = '$phone', emailaddress = '$emailaddress', emergencyname = '$emergencyname', emerrelation = '$emerrelation', emergencyphone = '$emergencyphone', status = NOW(), date = NOW() where id = '$id'";
	$this ->audit_log("Student Profile Updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
			return "<div class='alert alert-info'>Profile Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";		
}//end of UpdateStudent

public function AssignStuParent($admission_no,$usern)
	 {
		$upquery = "insert into stuparent set admission_no = '$admission_no', username = '$usern'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		$this ->audit_log("Student or Parent Assigned with admission_no or username = ".$admission_no . $usern);
		if($res)
		header('location:guardiansinfo?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }
	 
public function AssignParentStu($admission_no,$usern)
	 {
		$upquery = "insert into stuparent set admission_no = '$admission_no', username = '$usern'";
		$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
		$this ->audit_log("Student or Parent Assigned with admission_no or username = ".$admission_no . $usern);
		if($res)
		header('location:parentward?view='.$usern);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	 }

public function UpdateEnrollment($arr)
{
	$admission_no = $this->sqlinjection($arr['admission_no']);
	$entrysession = $this->sqlinjection($arr['entrysession']);
	$currentsession = $this->sqlinjection($arr['currentsession']);
	$term = $this->sqlinjection($arr['term']);
	$program = $this->sqlinjection($arr['program']);
	$department = $this->sqlinjection($arr['department']);
	$class = $this->sqlinjection($arr['class']);
	$studymode = $this->sqlinjection($arr['studymode']);
	$sql = "update student set entrysession = '$entrysession', currentsession = '$currentsession', term = '$term', program = '$program', department = '$department', class = '$class', studymode = '$studymode' where admission_no = '$admission_no'";
	$this ->audit_log("Student Enrollment Updated with admission_no = ".$admission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
			return "<div class='alert alert-info'> Student Enrollment Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";
}

public function ApproveCourse($admission_no, $session, $term, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from regcourse where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', date = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error($this->db));
		$r = mysqli_error($this->db);
		if($res1)
		return "<div class='alert alert-info'>Courses Submitted for Approval</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', date = NOW()");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no") or (mysqli_error($this->db));
		$r = mysqli_error($this->db);
		if($res)
		return "<div class='alert alert-info'>Courses Submitted for Approval</div>";
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;	
		}
	 }

public function AddParent($arr)  
{
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$occupation = $this->sqlinjection($arr['occupation']);
	$marital_status = $this->sqlinjection($arr['marital_status']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$tel_no = $this->sqlinjection($arr['tel_no']);
	$tefn = substr($firstname,0,2);
	$teafn = strtoupper($tefn);
	$teln = substr($lastname,0,2);
	$tealn = strtoupper($teln);
	$tequery = "select id from bckupstudent order by id desc limit 1";
	$teresult = mysqli_query($this->db, $tequery);
	$terow = mysqli_fetch_array($teresult);
	$stro = $terow['id'];
	$te = substr($stro, -5);
	$tecountt = $te+1;
	$tecode_no = str_pad($tecountt, 5, "0", STR_PAD_LEFT);
	$username = $teafn.$tealn.$tecode_no;
	$rs = mysqli_query($this->db, "select username from parent where username = '$username'");
	if(mysqli_num_rows($rs) > 0)
	{
		return "<div class='info'>Please Wait A Little.</div>";
	}
	$rs2 = mysqli_query($this->db, "select username from user where username = '$username'");
	if(mysqli_num_rows($rs2) > 0)
	{
		return "<div class='info'>Exercise A Little Patient.</div>";
	}
	$sql = "insert into parent (`username`, `firstname`, `middlename`, `lastname`, `gender`, `occupation`, `marital_status`, `address`, `city`, `state`, `zip`, `tel_no`, `status`, `date`) VALUES ('$username', '$firstname', '$middlename', '$lastname', '$gender', '$occupation', '$marital_status', '$address', '$city', '$state', '$zip', '$tel_no', NOW(), NOW())";
	$this ->audit_log("new parent added with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1){
		$password = hash('sha512',$username);
		mysqli_query($this->db, "insert into user set username = '$username', firstname = '$firstname', lastname = '$lastname',  password = '$password', usertype = 'Parent', gender = '$gender', status_value = 'Activated', access = '4'");
	header('location:editparent?edit='.$username);
	}
	else
	return "<div class='error'>An error occurred, please try again</div>";
}//end of addParent

public function UpdateParent($arr)  
{
	$username = $this ->sqlinjection($arr['username']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$name = $arr['username'].".jpg";
	if(file_exists($uploaddir.$name))
	unlink($uploaddir.$name);
	if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$name))
	{
		$msg = true;
	}
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$tel_no = $this->sqlinjection($arr['tel_no']);
	$email = $this->sqlinjection($arr['email']);
	$gender = $this->sqlinjection($arr['gender']);
	$marital_status = $this->sqlinjection($arr['marital_status']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$lga = $this->sqlinjection($arr['lga']); 
	$occupation = $this->sqlinjection($arr['occupation']);
	$qualification = $this->sqlinjection($arr['qualification']);
	$income = $this ->sqlinjection($arr['income']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$sql = "update parent set username = '$username', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', tel_no = '$tel_no', email = '$email', gender = '$gender', marital_status = '$marital_status', d_o_b = '$d_o_b', p_o_b = '$p_o_b', lga = '$lga', occupation = '$occupation', qualification = '$qualification', income = '$income', passport = '$name', address = '$address', city = '$city', state = '$state', zip = '$zip', nationality = '$nationality', status = NOW(), date = NOW() where username = '$username'";
	
	$this ->audit_log("Parent updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
		if($result)
		return "<div class='alert alert-info'> Parent Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";	
}//end of UpdateParent

public function DeleteParent($username)
	 {
try 
			{
				//update
				$upquery = "delete from parent where username = '$username'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				if(mysqli_affected_rows($this->db) == 1){
				mysqli_query($this->db, "delete from stuparent where username = '$username'");	
				}
					return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function DeleteDoc($id1)
	 {
try 
			{
				//update
				$upquery = "delete from document where id = '$id1'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	

} //end of class
?>