<?php
function count_workdays($date1,$date2){
$firstdate = strtotime($date1); 
$lastdate = strtotime($date2); 
$firstday = date(w,$firstdate); 
$lastday = date(w,$lastdate); 
$totaldays = intval(($lastdate-$firstdate)/86400)+1; 

//check for one week only 
if ($totaldays<=7 && $firstday<=$lastday){ 
     $workdays = $lastday-$firstday+1; 
     //check for weekend 
     if ($firstday==0){ 
             $workdays = $workdays-1; 
            } 
     if ($lastday==6){ 
             $workdays = $workdays-1; 
            } 
      
     }else { //more than one week 

             //workdays of first week 
            if ($firstday==0){ 
                 //so we don't count weekend 
                 $firstweek = 5;  
                 }else { 
                 $firstweek = 6-$firstday; 
                 } 
            $totalfw = 7-$firstday; 

            //workdays of last week 
            if ($lastday==6){ 
                 //so we don't count sat, sun=0 so it won't be counted anyway 
                 $lastweek = 5; 
                 }else { 
                 $lastweek = $lastday; 
                 } 
            $totallw = $lastday+1; 
                  
            //check for any mid-weeks  
            if (($totalfw+$totallw)>=$totaldays){ 
                 $midweeks = 0; 
                 } else { //count midweeks 
                 $midweeks = (($totaldays-$totalfw-$totallw)/7)*5; 
                 } 

            //total num of workdays 
            $workdays = $firstweek+$midweeks+$lastweek; 

        } 

/* 
check for and subtract and holidays etc. here 
... 
*/ 

return ($workdays); 
} //end funtion count_workdays() 

$uploadpass = "../chk/upload/passport";
$uploadsig = "../chk/upload/signature" ;
$uploadsdoc = "../chk/uploads/document" ;
$uploadscert = "../chk/uploads/certificate" ;
$uploadsass = "../chk/uploads/assignment" ;

$GLOBALS['uploadpass'] = $uploadpass ;
$GLOBALS['uploadsig'] = $uploadsig ;
$GLOBALS['uploadsdoc'] = $uploadsdoc ; 
$GLOBALS['uploadscert'] = $uploadscert ;
$GLOBALS['uploadsass'] = $uploadsass ; 
require_once('business logic/classes/session.php');
require_once('business logic/classes/check.php');
require_once('business logic/classes/audit.php');
require_once('business logic/logDb/dbcon.php');
require_once('business logic/classes/users.php');

$user = new User();
$audit = new Audit();
//class definitions
class Per extends Audit{
	
public $db;
		public function __construct(){
			$this->db = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
			if(mysqli_connect_errno()) {
			
				echo "Error: Could not connect to database.";
			        exit;
			}
		}
		
public function sqlinjection($val) {
       return htmlspecialchars(trim(mysqli_real_escape_string($this->db, $val)));
}

public function UpdateClassStudent($arr)  
{
	$classid = $this ->sqlinjection($arr['classid']);
	$admission_no = $this ->sqlinjection($arr['admission_no']);
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$sql = "update student set admission_no = '$admission_no', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b' where admission_no = '$admission_no'";
	$this ->audit_log("Student Profile Updated with admission_no = ".$admission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if(mysqli_affected_rows($this->db) == 1)
	{
	mysqli_query($this->db, "update user set firstname = '$firstname', lastname = '$lastname', gender = '$gender' where username = '$admission_no'");
	}
	if($result)
	header('location:viewclassstu?view='.$classid);
	else
	return "<div class='error'>An error occurred, please try again</div>";		
}//end of UpdateStudent

public function UpdateTeacher($arr)  
{
	$id = $this ->sqlinjection($arr['id']);
	$username = $this ->sqlinjection($arr['username']);
	$uploaddir = $GLOBALS['uploadpass']."/";
	$msg = false;
	$pname = $arr['username'].".jpg";
	if(file_exists($uploaddir.$pname))
	unlink($uploaddir.$pname);
	if(move_uploaded_file($_FILES['passport']['tmp_name'], $uploaddir.$pname))
	{
		$msg = true;
	}
	$uploaddir1 = $GLOBALS['uploadsig']."/";
	$msg = false;
	$sname = $arr['username'].".jpg";
	if(file_exists($uploaddir1.$sname))
	unlink($uploaddir1.$sname);
	if(move_uploaded_file($_FILES['signature']['tmp_name'], $uploaddir1.$sname))
	{
		$msg = true;
	}
	$username = $this ->sqlinjection($arr['username']);
	$firstname = $this->sqlinjection($arr['firstname']);
	$middlename = $this->sqlinjection($arr['middlename']);
	$lastname = $this->sqlinjection($arr['lastname']);
	$gender = $this->sqlinjection($arr['gender']);
	$d_o_b = $this->sqlinjection($arr['d_o_b']);
	$p_o_b = $this->sqlinjection($arr['p_o_b']);
	$nationality = $this->sqlinjection($arr['nationality']);
	$height = $this->sqlinjection($arr['height']);
	$height1 = $this->sqlinjection($arr['height1']);
	$weight = $this->sqlinjection($arr['weight']);
	$weight1 = $this->sqlinjection($arr['weight1']);
	$c_o_h = $this->sqlinjection($arr['c_o_h']);
	$religion = $this->sqlinjection($arr['religion']);
	$maritalstatus = $this->sqlinjection($arr['maritalstatus']);
	$bloodgroup = $this->sqlinjection($arr['bloodgroup']);
	$medcon = $this->sqlinjection($arr['medcon']);
	$hobbies = $this->sqlinjection($arr['hobbies']);
	$award = $this->sqlinjection($arr['award']);
	$specialization = $this->sqlinjection($arr['specialization']);
	$aboutme = $this->sqlinjection($arr['aboutme']);
	$address = $this->sqlinjection($arr['address']);
	$city = $this->sqlinjection($arr['city']);
	$state = $this->sqlinjection($arr['state']); 
	$zip = $this->sqlinjection($arr['zip']);
	$address1 = $this->sqlinjection($arr['address1']);
	$city1 = $this->sqlinjection($arr['city1']);
	$state1 = $this->sqlinjection($arr['state1']); 
	$zip1 = $this->sqlinjection($arr['zip1']);
	$phone = $this->sqlinjection($arr['phone']);
	$emailaddress = $this->sqlinjection($arr['emailaddress']);
	$jobtitle = $this->sqlinjection($arr['jobtitle']);
	$employmentdate = $this->sqlinjection($arr['employmentdate']);
	$program = $this->sqlinjection($arr['program']);
	$emergencyname = $this->sqlinjection($arr['emergencyname']); 
	$emerrelation = $this->sqlinjection($arr['emerrelation']);
	$emergencyphone = $this->sqlinjection($arr['emergencyphone']);
	$passport = $this ->sqlinjection($arr['passport']);
	$signature = $this ->sqlinjection($arr['signature']);
	$sql = "update teacher set username = '$username', firstname = '$firstname', middlename = '$middlename', lastname = '$lastname', gender = '$gender', d_o_b = '$d_o_b', p_o_b = '$p_o_b', nationality = '$nationality', height = '$height', height1 = '$height1', weight = '$weight', weight1 = '$weight1', c_o_h = '$c_o_h', religion = '$religion', maritalstatus = '$maritalstatus', bloodgroup = '$bloodgroup', medcon = '$medcon', hobbies = '$hobbies', award = '$award', specialization = '$specialization', aboutme = '$aboutme', address = '$address', city = '$city', state = '$state', zip = '$zip', address1 = '$address1', city1 = '$city1', state1 = '$state1', zip1 = '$zip1', phone = '$phone', emailaddress = '$emailaddress', jobtitle = '$jobtitle', employmentdate = '$employmentdate', program = '$program', emergencyname = '$emergencyname', emerrelation = '$emerrelation', emergencyphone = '$emergencyphone', passport = '$pname', signature = '$sname', status = NOW(), date = NOW() where username = '$username'";
	$this ->audit_log("Student Profile Updated with username = ".$username);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
			return "<div class='alert alert-info'> Teacher Profile Updated Successfully</div>";
		else
		return "<div class='error'>An error occurred, please try again</div>";		
}//end of UpdateStudent
	 
public function AddTeacherqual($arr)  
{
$username = $this ->sqlinjection($arr['username']);
$institution = $this ->sqlinjection($arr['institution']);
$city = $this ->sqlinjection($arr['city']);
$state = $this ->sqlinjection($arr['state']);
$department = $this ->sqlinjection($arr['department']);
$course = $this ->sqlinjection($arr['course']);
$qualification = $this ->sqlinjection($arr['qualification']);
$graduated = $this ->sqlinjection($arr['graduated']);
$datefrom= $this ->sqlinjection($arr['datefrom']);
$dateto = $this ->sqlinjection($arr['dateto']);
$result = $this ->sqlinjection($arr['result']);
$uploaddir1 = $GLOBALS['uploadscert']."/";
$doc = mysqli_real_escape_string($this->db, $_FILES['document']['name']);
$ext = pathinfo($doc);
$e = $ext['extension'];
$document =  $username.'_'.$qualification.'_'.$institution.'.'.$e;
$max_file_size = 1024*600;
if ( $_FILES['document']['size'] > $max_file_size )
{
$msg = "Please upload file smaller than 600kb";
}
elseif (file_exists($uploaddir1.$document))
{ 
return "<div class='alert alert-info'>Qualification Already Exist</div>"; 	
}
elseif (move_uploaded_file($_FILES['document']['tmp_name'], $uploaddir1.$document))
{
$msg = true;	
}
$rs = mysqli_query($this->db, "select * from teacherquali where username = '$username' and institution = '$institution' and qualification = '$qualification'");
if(mysqli_num_rows($rs) > 0)
{ 
return "<div class='alert alert-info'>Qualification Already Exist</div>"; 	
}
else
{
$result = mysqli_query($this->db, "insert into teacherquali (username, institution, city, state, department, course, qualification, graduated, datefrom, dateto, result, document, status) VALUES ('$username', '$institution', '$city', '$state', '$department', '$course', '$qualification', '$graduated', '$datefrom', '$dateto', '$result', '$document', NOW())");
if($result)
header('location:teacherqual');
else
return "erro";
}
}

public function EditTeacherqual($arr)  
{
$id = $this ->sqlinjection($arr['id']);
$username = $this ->sqlinjection($arr['username']);
$institution = $this ->sqlinjection($arr['institution']);
$city = $this ->sqlinjection($arr['city']);
$state = $this ->sqlinjection($arr['state']);
$department = $this ->sqlinjection($arr['department']);
$course = $this ->sqlinjection($arr['course']);
$qualification = $this ->sqlinjection($arr['qualification']);
$graduated = $this ->sqlinjection($arr['graduated']);
$datefrom= $this ->sqlinjection($arr['datefrom']);
$dateto = $this ->sqlinjection($arr['dateto']);
$result = $this ->sqlinjection($arr['result']);
$uploaddir1 = $GLOBALS['uploadscert']."/";
$doc = mysqli_real_escape_string($this->db, $_FILES['document']['name']);
$ext = pathinfo($doc);
$e = $ext['extension'];
$document =  $username.'_'.$qualification.'_'.$institution.'.'.$e;
$max_file_size = 1024*600;
if ( $_FILES['document']['size'] > $max_file_size )
{
$msg = "Please upload file smaller than 600kb";
}
if (file_exists($uploaddir1.$document)) 
unlink($uploaddir1.$document);
if (move_uploaded_file($_FILES['document']['tmp_name'], $uploaddir1.$document))
{
$msg = true;	
}
$result = mysqli_query($this->db, "update teacherquali set username = '$username', institution = '$institution', city = '$city', state = '$state', department = '$department', course = '$course', qualification = '$qualification', graduated = '$graduated', datefrom = '$datefrom', dateto = '$dateto', result = '$result', document = '$document', status = NOW() where id = '$id'");
if($result)
header('location:teacherqual');
else
return "erro";
}

public function AddTeacherjh($arr)  
{
$username = $this ->sqlinjection($arr['username']);
$establishment = $this ->sqlinjection($arr['establishment']);
$email = $this ->sqlinjection($arr['email']);
$phone = $this ->sqlinjection($arr['phone']);
$jobtitle = $this ->sqlinjection($arr['jobtitle']);
$address = $this ->sqlinjection($arr['address']);
$started = $this ->sqlinjection($arr['started']);
$ended = $this ->sqlinjection($arr['ended']);
$rs = mysqli_query($this->db, "select * from teacherjh where username = '$username' and establishment = '$establishment' and jobtitle = '$jobtitle'");
if(mysqli_num_rows($rs) > 0)
{ 
return "<div class='alert alert-info'>Job History Already Exist</div>"; 	
}
else
{
$result = mysqli_query($this->db, "insert into teacherjh (username, establishment, email, phone, jobtitle, address, started, ended, status) VALUES ('$username', '$establishment', '$email', '$phone', '$jobtitle', '$address', '$started', '$ended', NOW())");
if($result)
header('location:teacherjh');
else
return "erro";
}
}

public function EditTeacherjh($arr)  
{
$id = $this ->sqlinjection($arr['id']);
$username = $this ->sqlinjection($arr['username']);
$establishment = $this ->sqlinjection($arr['establishment']);
$email = $this ->sqlinjection($arr['email']);
$phone = $this ->sqlinjection($arr['phone']);
$jobtitle = $this ->sqlinjection($arr['jobtitle']);
$address = $this ->sqlinjection($arr['address']);
$started = $this ->sqlinjection($arr['started']);
$ended = $this ->sqlinjection($arr['ended']);
$result = mysqli_query($this->db, "update teacherjh set username = '$username', establishment = '$establishment', email = '$email', phone = '$phone', jobtitle = '$jobtitle', address = '$address', started = '$started', ended = '$ended', status = NOW() where id = '$id'");
if($result)
header('location:teacherjh');
else
return "erro";
}

public function ApproveCourse($admission_no, $session, $term, $course, $code, $class)
	 {
		$rs = mysqli_query($this->db, "select * from regcourse where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
		if(mysqli_num_rows($rs) > 0)
		{
		$res1 = mysqli_query($this->db, "update regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res1)
		header('location:courses?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
		}
		else
		{
		$res = mysqli_query($this->db, "insert into regcourse set admission_no = '$admission_no', session = '$session', term = '$term', class = '$class', course = '$course', code = '$code', status = 'Approved', date = NOW()");//or die('na here');
		$this->audit_log("Courses Approved with Course = $course and Admission_no = $admission_no")or (mysqli_error());
		$r = mysqli_error($this->db);
		if($res)
		header('location:courses?view='.$admission_no);
		else
		return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;	
		}
	 }
	 
Public function AddClassInfo($arr) 
{
	$class = $this->sqlinjection($arr['class']);
	$announcement = $this->sqlinjection($arr['announcement']);
	$sql = "update class set announcement = '$announcement' where class = '$class'";
	$this ->audit_log("class announcement updated with class =".$class);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'> Annoucement Successfully Added &nbsp;&nbsp;&nbsp; </div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
}

public function DeleteDoc($id1)
	 {
try 
			{
				//update
				$upquery = "delete from document where id = '$id1'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }

public function SaveResult($admission_no, $session, $term, $program, $classs, $teachercomment, $course, $ca1, $ca2, $ca3, $ca4, $ca5, $ca6, $totalca, $exam, $totalexam, $totaltermscore, $termavgscore)  
	{
	$rs = mysqli_query($this->db, "select * from result where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
	if($rs->num_rows > 0)
	{
		$sql = "update result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', status = 'In Progress', teachercomment = '$teachercomment', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore' where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'";
	$this ->audit_log("Result Updated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_errno());
	if($result)
	return "<div class='alert alert-info'>Result Successfully Saved  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		$sql1 = "insert into result set admission_no='$admission_no', session='$session', term='$term', program='$program', class='$classs', status='In Progress', teachercomment='$teachercomment', course='$course', ca1='$ca1', ca2='$ca2', ca3='$ca3', ca4='$ca4', ca5='$ca5', ca6='$ca6', totalca='$totalca', exam='$exam', totalexam='$totalexam', totaltermscore='$totaltermscore', termavgscore='$termavgscore'";
	$this ->audit_log("Result Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	$r = mysqli_error($this->db);
	if($result1)
	return "<div class='alert alert-info'>Result Successfully Saved  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".$r;
	}
}//end of SaveResult

public function ValidateResult($admission_no,$session,$term,$program,$classs,$teachercomment,$course,$ca1,$ca2,$ca3,$ca4,$ca5,$ca6,$totalca,$exam,$totalexam,$totaltermscore,$termavgscore)  
			{
$getuser = $_SESSION['username'];
$view_q = "select firstname, lastname from user where username = '$getuser'";
$q1 = mysqli_query($this->db, $view_q); 
$get_n = mysqli_fetch_array($q1);
$getsuser = $get_n['firstname'] . '&nbsp;' . $get_n['lastname']; 
$rs = mysqli_query($this->db, "select * from result where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'");
	if($rs->num_rows > 0)
	{
		$sql = "update result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', teachercomment = '$teachercomment', subdate = NOW(), status = 'Validated', submittedby = '$getsuser', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore', disable = 'disabled' where admission_no = '$admission_no' and session = '$session' and term = '$term' and course = '$course'";
	$this ->audit_log("Result Validated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Result Successfully Validated  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
	else
	{
		$sql1 = "insert into result set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$classs', teachercomment = '$teachercomment', subdate = NOW(), status = 'Validated', submittedby = '$getsuser', course = '$course', ca1 = '$ca1', ca2 = '$ca2', ca3 = '$ca3', ca4 = '$ca4', ca5 = '$ca5', ca6 = '$ca6', totalca = '$totalca', exam = '$exam', totalexam = '$totalexam', totaltermscore = '$totaltermscore', termavgscore = '$termavgscore', disable = 'disabled'";
	$this ->audit_log("Result Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Result Successfully Validated &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
}//end of ValidateResult

public function ValidateAttendance($session, $term, $program, $class, $admission_no, $dayspresent, $daysabsent, $holidays, $totaldays, $totaldaypresent)  
	{
$rs = mysqli_query($this->db, "select * from attendance where admission_no = '$admission_no' and session = '$session' and term = '$term'");
	if($rs->num_rows > 0)
	{
		$sql = "update attendance set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$class', dayspresent = '$dayspresent', daysabsent = $daysabsent, holidays = '$holidays', totaldayspresent = '$totaldaypresent', totaldays = '$totaldays', status = NOW() where admission_no = '$admission_no' and session = '$session' and term = '$term'";
	$this ->audit_log("Attendance Validated With admission_no =".$admission_no);
	$result = mysqli_query($this->db, $sql) or (mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Attendance Successfully Validated  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
	else
	{
		$sql1 = "insert into attendance set admission_no = '$admission_no', session = '$session', term = '$term', program = '$program', class = '$class', dayspresent = '$dayspresent', daysabsent = $daysabsent, holidays = '$holidays', totaldayspresent = '$totaldaypresent', totaldays = '$totaldays', status = NOW()";
	$this ->audit_log("Attendance Inserted With admission_no =".$admission_no);
	$result1 = mysqli_query($this->db, $sql1) or (mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Attendance Successfully Validated &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>".mysqli_error($this->db);
	}
}//end of ValidateAttendance

public function ValidateSkill($stuadmission_no,$stusession,$stuterm,$stuprogram,$stuclass,$stucategory,$stuskill,$sturate)  
	{
$rs = mysqli_query($this->db, "select * from sturesskill where admission_no = '$stuadmission_no' and session = '$stusession' and term = '$stuterm' and category = '$stucategory' and skill = '$stuskill'");
	if($rs->num_rows > 0)
	{
		$sql = "update sturesskill set admission_no = '$stuadmission_no', session = '$stusession', term = '$stuterm', program = '$stuprogram', class = '$stuclass', category = '$stucategory', skill = '$stuskill', rate = '$sturate', status = NOW() where admission_no = '$stuadmission_no' and session = '$stusession' and term = '$stuterm' and category = '$stucategory' and skill = '$stuskill'";
	$this ->audit_log("Student Skills Updated With admission_no =".$stuadmission_no);
	$result = mysqli_query($this->db, $sql) or die(mysqli_error());
	if($result)
	return "<div class='alert alert-info'>Student Skills Successfully Submitted  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
	else
	{
		$sql1 = "insert into sturesskill set admission_no = '$stuadmission_no', session = '$stusession', term = '$stuterm', program = '$stuprogram', class = '$stuclass', category = '$stucategory', skill = '$stuskill', rate = '$sturate', status = NOW()";
	$this ->audit_log("Student Skills Inserted With admission_no =".$stuadmission_no);
	$result1 = mysqli_query($this->db, $sql1) or die(mysqli_error());
	if($result1)
	return "<div class='alert alert-info'>Student Skills Successfully Submitted  &nbsp;&nbsp;&nbsp;</div>";
	else
	return "<div class='alert alert-danger'>An error occurred, please try again</div>";
	}
}//end of SaveResult

public function DeleteAssignment($id)
	 {
try 
			{
				//update
				$upquery = "delete from assignment where id = '$id'";
				$res = mysqli_query($this->db, $upquery) or die(mysqli_error());//or die('na here');
				return $res;
			}//try
			catch(Exception $exc)
			{
				echo ($exc->getMessage() . "<br>");
			} 
	 }
	 
} //end of class
?>