<?php
require_once('business logic/classes/session.php');
require_once('business logic/classes/check.php');
require_once('business logic/logDb/dbcon.php');

//class definitions
class Audit {

     public $db;
 
		public function __construct(){
			$this->db = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
 
			if(mysqli_connect_errno()) {
				echo "Error: Could not connect to database.";
			        exit;
			}
		}

function audit_log($operation){
	$cmpname = php_uname('n');
	$userid = $_SESSION['id'];
	$username = $_SESSION['username'];
	$today = date("Y-n-j G:i:s");  
	$ip = $this->getRealIpAddr();
	$operation = $operation;
	$host = $_SERVER['HTTP_HOST'];
	$referer = $_SERVER['HTTP_REFERER'];
	$sql = "INSERT INTO audit_log (comp_name, user_id, username, date, ip_addr, operation, host, referer) VALUES ('$cmpname', '$userid', '$username', '$today', '$ip', '$operation', '$host', '$referer')"; 
	$query = mysqli_query($this->db, $sql) or die(mysqli_error());
}

function getRealIpAddr1()
{
  foreach (array('HTTP_CLIENT_IP',
               'HTTP_X_FORWARDED_FOR',
               'HTTP_X_FORWARDED',
               'HTTP_X_CLUSTER_CLIENT_IP',
               'HTTP_FORWARDED_FOR',
               'HTTP_FORWARDED',
               'REMOTE_ADDR') as $key){
    if (array_key_exists($key, $_SERVER) === true){
        foreach (explode(',', $_SERVER[$key]) as $IPaddress){
            $IPaddress = trim($IPaddress); // Just to be safe

            if (filter_var($IPaddress,
                           FILTER_VALIDATE_IP,
                           FILTER_FLAG_NO_PRIV_RANGE | FILTER_FLAG_NO_RES_RANGE)
                !== false) {

                return $IPaddress;
            }
        }
    }
}
}

function getRealIpAddr()
      {
       if (!empty($_SERVER['HTTP_CLIENT_IP'])) //check ip from share internet
 		{  
      $ip = $_SERVER['HTTP_CLIENT_IP']; 
      }  
      elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
      //to check ip is pass from proxy 
      {  
      $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];  
      } 
      else
      {
      $ip = $_SERVER['REMOTE_ADDR'];
      }
      return $ip;
   }
}
?>