<?php
include('includes/access.php');
if (($_SERVER["REQUEST_METHOD"] == "POST") and ($_POST['class_submit'] == "Submit"))
{//begin 
$session = mysqli_real_escape_string($user->db, $_POST['session']);
$term = mysqli_real_escape_string($user->db, $_POST['term']);
$teacher = mysqli_real_escape_string($user->db, $_POST['teacher']);
$program = mysqli_real_escape_string($user->db, $_POST['program']);
$class = mysqli_real_escape_string($user->db,$_POST['class']);
$course = mysqli_real_escape_string($user->db,$_POST['course']);
$due = mysqli_real_escape_string($user->db, $_POST['due']);
$uploaddir1 = "assignment/";
$doc = mysqli_real_escape_string($user->db, $_FILES['document']['name']);
$ext = pathinfo($doc);
$e = $ext['extension'];
$description = mysqli_real_escape_string($user->db, $_POST['description']);
$title = mysqli_real_escape_string($user->db, $_POST['title']);
$document = mysqli_real_escape_string($user->db, $_POST['title'].$class.$course. '.'. $e);
$max_file_size = 1024*600;
if (file_exists($uploaddir1.$document))
$msg = "<div class='alert alert-danger'> $document.  ' already exists.  Change Assignment Title'</div>";
else if ( $_FILES['document']['size'] > $max_file_size )
{
	$msg = "<div class='alert alert-danger'>Please upload file smaller than 600kb</div>";
	}
	else if(move_uploaded_file($_FILES['document']['tmp_name'], $uploaddir1.$document))
	{
		mysqli_query($user->db, "INSERT INTO assignment(session, term, teacher, program, class, course, title, description, document, due, created) VALUES ('$session', '$term', '$teacher', '$program', '$class', '$course', '$title', '$description', '$document', '$due', NOW())");
	$msg = "<div class='alert alert-info'>Assignment uploaded</div>";
	}
}//end
		
include('includes/header.php');
?>

                <!-- /page content -->


 <div class="right_col" role="main">

                <div class="">
				   <div class="row">
                            <div class="x_panel">
                            <h3 align="center">Assignment Management</h3>
                             <div class="ln_solid1"></div>
                             <div class="col-md-12 col-sm-12 col-xs-12">
<a href="manageassignt" class="btn btn-info btn-sm">Assignment List</a><a href="addassignt" class="btn btn-danger btn-sm">Add Assignment</a>
<br><br>
     <form id="AddAssignment" name="AddAssignment" method="post" action=""  enctype="multipart/form-data" class="form-horizontal form-label-left" autocomplete="off">
      <div class="row"> 
      <?php echo $msg; ?>	                         
     <div class="col-md-6 col-sm-6 col-xs-12">                            
                            
                             <div class="x_pa">
                                <div class="x_title">
                                    <h2>Assignment Information</h2>
                                    
                                    <div class="clearfix"></div>
                                </div>
                                <div class="x_content">

                                    <!-- start form for validation -->
                                   		<div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Session * : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                            <?php $rs1 = mysqli_query($user->db, "select session from setting");
		 									 while($row1 = mysqli_fetch_array($rs1))
		  									{
												$session = $row1['session'];
												
											}
										?>
                                            <input type="text" id="session" class="form-control" name="session" value="<?php echo $session;?>" readonly />
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Term * : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                             <?php $rs2 = mysqli_query($user->db, "select term from setting");
		 									 while($row2 = mysqli_fetch_array($rs2))
		  									{
												$term = $row2['term'];
											}
										?>
                                            <input type="text" id="term" class="form-control" name="term" value="<?php echo $term;?>" readonly />
                                            </div>
                                         
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Teacher * : </label>
                                           <div class="col-md-8 col-sm-8 col-xs-12">
                                          <select id="teacher" name="teacher" class="form-control col-md-7 col-xs-12" required>									
                                             <option value="">Select Teacher</option>
                                          <?php $rs3 = mysqli_query($user->db, "select * from teacher");
		 									 while($row3 = mysqli_fetch_array($rs3))
		  									{
												$firstname = $row3['firstname'];
												$lastname = $row3['lastname'];
												
										?>
											  <option value="<?php echo $firstname . '&nbsp;' . $lastname ;?>"><?php echo $firstname . '&nbsp;' . $lastname ;?></option>
                                              <?php
											}
		 									 ?>
                                                </select>
                                            </div>
                                        </div>
                                       <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Program * : </label>
                                           <div class="col-md-8 col-sm-8 col-xs-12">
                                          <select id="program" name="program" class="form-control col-md-7 col-xs-12" required>									
                                             <option value="">Select Program</option>
                                          <?php $rs4 = mysqli_query($user->db, "select program from program");
		 									 while($row4 = mysqli_fetch_array($rs4))
		  									{
												$program = $row4['program'];
										?>
											  <option value="<?php echo $program ;?>"><?php echo $program ;?></option>
                                              <?php
											}
		 									 ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Class * : </label>
                                           <div class="col-md-8 col-sm-8 col-xs-12">
                                          <select id="class" name="class" class="form-control col-md-7 col-xs-12" required>									
                                             <option value="">Select Class</option>
                                          <?php $rs5 = mysqli_query($user->db, "select class from class");
		 									 while($row5 = mysqli_fetch_array($rs5))
		  									{
												$class = $row5['class'];
										?>
											  <option value="<?php echo $class ;?>"><?php echo $class ;?></option>
                                              <?php
											}
		 									 ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Course * : </label>
                                           <div class="col-md-8 col-sm-8 col-xs-12">
                                          <select id="course" name="course" class="form-control col-md-7 col-xs-12" required>									
                                             <option value="">Select Course</option>
                                          <?php $rs6 = mysqli_query($user->db, "select course from course");
		 									 while($row6 = mysqli_fetch_array($rs6))
		  									{
												$course = $row6['course'];
										?>
											  <option value="<?php echo $course ;?>"><?php echo $course ;?></option>
                                              <?php
											}
		 									 ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Date Due * : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                            <input type="date" id="due" class="form-control" name="due"/>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Assignment Title * : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                            <input type="text" id="title" class="form-control" name="title"/>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-6">Description : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-6">
                                            <textarea id="description" rows="3" class="form-control" name="description"></textarea>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label col-md-4 col-sm-4 col-xs-12">Document * : </label>
                                            <div class="col-md-8 col-sm-8 col-xs-12">
                                            <input type="file" id="document" class="form-control" name="document" required="required"/><h5 style="color:rgba(204,51,0,1)">Note * : Allowed File Size 600kb</h5>
                                            </div>
                                        </div>
                                    <!-- end form for validations -->

                                </div>
                            </div>
                            <div class="row"> </div>
                            <div class="ln_solid"></div>
                                        <div class="form-group">
                                            <div class="col-md-12 col-md-offset-5">
                                                <button type="reset" class="btn btn-info">Cancel</button>
                                  <button type="submit" id="class_submit" name="class_submit" value="Submit" class="btn btn-danger">Submit</button>
                                            </div>
                                        </div>
                                        
                                    </form>

</div> 

</div>
                                    

                            </div>
                        </div>
                    </div>
                </div>
               
                

<?php 
include('includes/footer.php');
?>

 <script src="js/bootstrap.min.js"></script>

    <!-- chart js -->
    <script src="js/chartjs/chart.min.js"></script>
    <!-- bootstrap progress js -->
    <script src="js/progressbar/bootstrap-progressbar.min.js"></script>
    <script src="js/nicescroll/jquery.nicescroll.min.js"></script>
    <!-- icheck -->
    <script src="js/icheck/icheck.min.js"></script>

    <script src="js/custom.js"></script>
  
</body>

</html>